<?php
   error_reporting(0);
	ob_start();
	require './db_info.php';
	require './session_info.php';
	ob_end_clean();

	$select_statement = "";

	if (isset($_GET["global"])&&$_GET["global"]==='true'){
		if ($_SESSION['user'] === 'admin') $select_statement = "select id, description_".$_SESSION["lng"].", data_type, username, availability from queries where username='admin' order by availability, id desc";
		else {
			if (isset($_SESSION['userlevel']) && $_SESSION['userlevel'] > 2){
				$select_statement = "select id, description_".$_SESSION["lng"].", data_type, username, availability from queries where username='admin' and availability in ('0', '2', '3') order by id desc";		
			}else if (isset($_SESSION['userlevel']) && $_SESSION['userlevel'] == 2){
				$select_statement = "select id, description_".$_SESSION["lng"].", data_type, username, availability from queries where username='admin' and availability in ('0', '2') order by id desc";		
			}else {
				$select_statement = "select id, description_".$_SESSION["lng"].", data_type, username, availability from queries where username='admin' and availability = '0' order by id desc";
			}
		}
	}else if (isset($_GET["global"])&&$_GET["global"]==='sponsors'){
		$select_statement = "select id, description_".$_SESSION["lng"].", data_type, username from queries where username='sponsors' order by id desc";
	}else{
		if (!isset($_SESSION['user'])) exit;
		else if ($_SESSION['user'] === 'admin') $select_statement = "select id, description_".$_SESSION["lng"].", data_type, username, availability from queries where username='".$_SESSION['user']."' order by availability, id desc";
		else $select_statement = "select id, description_".$_SESSION["lng"].", data_type, username from queries where username='".$_SESSION['user']."' order by id desc";
	}

	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	// executing the query
	$result = pg_query($conn, $select_statement);
	if (!$result) die('Invalid query: ' . pg_error());


	echo "<div style=\"display:table;width:auto;margin-left:auto;margin-right:auto\">";
	$queries_on_summary  = "<div style=\"display:table-cell;min-width:430px;width:45%;height:282px;padding:5px\"><div style=\"max-height:282px;height:282px;overflow:auto\">";
	$queries_on_detailed = "<div style=\"display:table-cell;min-width:430px;width:45%;height:282px;padding:5px\"><div style=\"max-height:282px;height:282px;overflow:auto\">";
	$was_on_summary      = 0;
	$was_on_detailed     = 0;

	$rows = pg_numrows($result);
	for ($i = 0; $i < $rows; $i++){
		$row = pg_fetch_array($result, $i);
		if ($row['data_type'] === 's'){ // query on summary data
			$was_on_summary++;
			if ($was_on_summary > 1) $queries_on_summary .= "<br />";

			$queries_on_summary .= "<a class=\"title_a\" onclick=\"execute_sd_query(".$row["id"].")\" href=\"#\">".$was_on_summary.") ".$row["description_".$_SESSION["lng"]]."</a>";
			if ($_SESSION['user'] === 'admin'){
				if ($row["availability"] === '0') $queries_on_summary .= "<i>(all users)</i>";
				else if ($row["availability"] === '2') $queries_on_summary .= "<i>(subscribed users)</i>";
				else if ($row["availability"] === '3') $queries_on_summary .= "<i>(admins only)</i>";
			}
			
			if ($row["username"] === $_SESSION['user']){
				$queries_on_summary .= "<a href=\"#\" class=\"delete_query\" onclick=\"delete_query(".$row["id"].")\"><label>&nbsp;</label></a>";
			}
		}else {// query on detailed data
			$was_on_detailed++;
			if ($was_on_detailed > 1) $queries_on_detailed .= "<br />";

			$queries_on_detailed .= "<a class=\"title_a\" onclick=\"execute_td_query(".$row["id"].")\" href=\"#\">".$was_on_detailed.") ".$row["description_".$_SESSION["lng"]]."</a>";
			if ($_SESSION['user'] === 'admin'){
				if ($row["availability"] === '0') $queries_on_detailed .= "<i>(all users)</i>";
				else if ($row["availability"] === '2') $queries_on_detailed .= "<i>(subscribed users)</i>";
				else if ($row["availability"] === '3') $queries_on_detailed .= "<i>(admins only)</i>";
			}

			if ($row["username"] === $_SESSION['user']){
				$queries_on_detailed .= "<a href=\"#\" class=\"delete_query\" onclick=\"delete_query(".$row["id"].")\"><label>&nbsp;</label></a>";
			}
		}
	}
	if ($was_on_summary  == 0) $queries_on_summary  .= "<br />";
	if ($was_on_detailed == 0) $queries_on_detailed .= "<br />";
	echo $queries_on_summary."</div></div>".$queries_on_detailed."</div></div></div>";

	pg_close($conn);
	exit;
?>
