<?php
	ob_start();
	require './session_info.php';
	require './db_info.php';
	require './ajax-pg-query-where.php';
	ob_end_clean();

	$_rid    = $_POST["rid"];
	if ((!isset($_rid)) || (strlen($_rid) == 0)) exit;
	$_isfeed = $_POST["isfeed"];

	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	if (isset($_isfeed) && $_isfeed != ""){
		$select_data = "select comments_".$_SESSION['lng']." as comment from d_feed where d_feed.source = 'agroscope classified' and d_feed.old_key = ".$_rid;
		$result      = pg_query($conn, $select_data); if (!$result) die('Invalid query: ' . pg_error());

		$rows   = pg_numrows($result);
		if ($rows >= 1){
			$row  = pg_fetch_array($result, 0);
			echo "<table class=\"qualityboxtable\"><tr><td></td><td>".$row["comment"]."</td></tr></table>";
		}
	}else{
        if (isset($_rid) && $_rid != "" && $_rid != -1){
            $select_data = "select summary_data.comments_".$_SESSION['lng']." as comment, q_standart_deviation, q_number_of_values, q_modification_date, raw_value, q_formula, ".
				"d_feed.name_".$_SESSION['lng']." as fname, ".
				"d_nutrient.description_".$_SESSION['lng']." as nname ".
				"from summary_data, d_feed, d_nutrient where ".
				"d_feed.old_key = summary_data.fkey_feed_old_key and ".
				"d_feed.source = 'agroscope classified' and ".
				"d_nutrient.specie_id is not null and ".
				"d_nutrient.group_id is not null and ".
				"d_nutrient.nutrient_key = summary_data.nutrient_fkey and ".
				"id=".$_rid;
            $result      = pg_query($conn, $select_data); if (!$result) die('Invalid query: ' . pg_error());

            $rows   = pg_numrows($result);
           if ($rows >= 1){
            $row  = pg_fetch_array($result, 0);
			echo "<table class=\"qualityboxtable\">";
			// feed
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Futtermittel:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Aliment:</td>";
			else echo "<td>Feed:</td>";
			echo "<td>".$row["fname"]."</td>";
			echo "</tr>";
			// nutrient
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Parametername:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Nom du paramètre:</td>";
			else echo "<td>Parameter name:</td>";
			echo "<td>".$row["nname"]."</td>";
			echo "</tr>";
			// formula
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Formel:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Formule:</td>";
			else echo "<td>Formula:</td>";
			echo "<td>".$row["q_formula"]."</td>";
			echo "</tr>";
			// detailed value
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Wert ungerundet:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Valeur non arondite:</td>";
			else echo "<td>Not rounded value:</td>";
			echo "<td>".$row["raw_value"]."</td>";
			echo "</tr>";
			// comment
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Autoren-Hinweise:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Remarques d'auteurs:</td>";
			else echo "<td>Authors Notes:</td>";
			echo "<td>".$row["comment"]."</td>";
			echo "</tr>";
			// date
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Änderungsdatum:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Date d'actualisation:</td>";
			else echo "<td>Modification date:</td>";
			echo "<td>".$row["q_modification_date"]."</td>";
			echo "</tr>";
			// number of values
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Anzahl der Werte:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Nombre de valeurs:</td>";
			else echo "<td>Number of values:</td>";
			echo "<td>".$row["q_number_of_values"]."</td>";
			echo "</tr>";
			// standard deviation
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Standardabweichung:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>L'écart-type:</td>";
			else echo "<td>Standard deviation:</td>";
			echo "<td>".$row["q_standart_deviation"]."</td>";
			echo "</tr>";
			echo "</table>";
		}
        }
        if ($_rid == -1)
        {
          echo "<table class=\"qualityboxtable\">";
			// feed
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Futtermittel:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Aliment:</td>";
			else echo "<td>Feed:</td>";
			echo "<td>".$row["fname"]."</td>";
			echo "</tr>";
			// nutrient
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Parametername:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Nom du paramètre:</td>";
			else echo "<td>Parameter name:</td>";
			echo "<td>".$row["nname"]."</td>";
			echo "</tr>";
			// formula
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Formel:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Formule:</td>";
			else echo "<td>Formula:</td>";
			echo "<td>".$row["q_formula"]."</td>";
			echo "</tr>";
			// detailed value
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Wert ungerundet:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Valeur non arondite:</td>";
			else echo "<td>Not rounded value:</td>";
			echo "<td>".$row["raw_value"]."</td>";
			echo "</tr>";
			// comment
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Autoren-Hinweise:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Remarques d'auteurs:</td>";
			else echo "<td>Authors Notes:</td>";
			echo "<td>".$row["comment"]."</td>";
			echo "</tr>";
			// date
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Änderungsdatum:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Date d'actualisation:</td>";
			else echo "<td>Modification date:</td>";
			echo "<td>".$row["q_modification_date"]."</td>";
			echo "</tr>";
			// number of values
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Anzahl der Werte:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>Nombre de valeurs:</td>";
			else echo "<td>Number of values:</td>";
			echo "<td>".$row["q_number_of_values"]."</td>";
			echo "</tr>";
			// standard deviation
			echo "<tr>";
			if ($_SESSION['lng'] == 'de') echo "<td>Standardabweichung:</td>";
			else if ($_SESSION['lng'] == 'fr') echo "<td>L'écart-type:</td>";
			else echo "<td>Standard deviation:</td>";
			echo "<td>".$row["q_standart_deviation"]."</td>";
			echo "</tr>";
			echo "</table>";
        }
	}

	// closing connection
	pg_close($conn);
	exit;
?>
