<?php
  error_reporting(0);
	//ob_start();
	require './db_info.php';
    	require './session_info.php';
	require './get_td_unclassified_feeds.php';
	require './get_td_agridea_feeds.php';
	require './get_td_classified_feeds.php';
	require './get_td_nutrients.php';
	require './get_td_nutrients_derived.php';
	require './get_td_properties.php';
	require './ajax-pg-query-where.php';
	//ob_end_clean();

	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	$query_cond = new QueryConditions($conn);
	$load_level               = 0;
	$selected_feeds_count     = 0;
	$selected_nutrients_count = 0;

	if (isset($_GET["ll"]) && ($_GET["ll"] == 0 || $_GET["ll"] == 1 || $_GET["ll"] == 2)){
		$load_level = $_GET["ll"];
	}

	echo '({"af":';
	if ($load_level == 0){
		$output_string = "";
		$selected_feeds_count += getAgrideaFeedsInJSON($output_string, $conn, &$query_cond);
		echo $output_string;	
	}else echo '{"c":-1,"v":"","s":0}';
	
	if ($load_level == 0 && (isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2)){
		echo ',"cf":';
		$output_string = "";
		$selected_feeds_count += getFeedsInJSON($output_string, $conn, &$query_cond);
		echo $output_string;
	}else echo ',"cf":{"c":-1,"v1":"","v2":"","s":0}';

	if ($load_level == 0 && (isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2)){
		echo ',"uf":';
		$output_string = "";
		$selected_feeds_count += getUnclasFeedsInJSON($output_string, $conn, &$query_cond);
		echo $output_string;
	}else echo ',"uf":{"c":-1,"v":"","s":0}';

	if ($load_level == 1){
		if (isset($_POST["af"]) && !($_POST["af"] === "")) $selected_feeds_count = 1;
		if (isset($_POST["cf"]) && !($_POST["cf"] === "")) $selected_feeds_count = 1;
		if (isset($_POST["uf"]) && !($_POST["uf"] === "")) $selected_feeds_count = 1;
	}
	
	if ($selected_feeds_count > 0){
		echo ',"n":';
		$output_string = "";
		$selected_nutrients_count += getNutrientsInJSON($output_string, $conn, &$query_cond);
		echo $output_string;
	}else echo ',"n":{"c":-1,"v":"","s":0}';

	if ($selected_feeds_count > 0 && (isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2)){
		echo ',"nd":';
		$output_string = "";
		$selected_nutrients_count += getDerivedNutrientsInJSON($output_string, $conn, &$query_cond);
		echo $output_string;
	}else echo ',"nd":{"c":-1,"v":"","s":0}';

	if ($load_level == 2){
		$was_feed = false;
		$was_nutr = false;
		if (isset($_POST["af"]) && !($_POST["af"] === "")) $was_feed = true;
		if (isset($_POST["cf"]) && !($_POST["cf"] === "")) $was_feed = true;
		if (isset($_POST["uf"]) && !($_POST["uf"] === "")) $was_feed = true;
		if (isset($_POST["nt"]) && !($_POST["nt"] === "")) $was_nutr = true;
		if (isset($_POST["ntd"]) && !($_POST["ntd"] === "")) $was_nutr = true;
		if ($was_feed&&$was_nutr) $selected_nutrients_count = 1;
	}

	if ($selected_nutrients_count > 0){
		echo ',';
		$output_string = "";
		getTdPropertiesInJSON($output_string, $conn, &$query_cond);
		echo $output_string;
	}else echo ',"ct":{"c":-1,"v":"","s":0},"al":{"c":-1,"v":"","s":0},"yeh":{"c":-1,"v":"","s":0},"seh":{"c":-1,"v":"","s":0}';

	if (isset($query_cond->show_density)&&!($query_cond->show_density === "")) echo ',"dens":"'.$query_cond->show_density.'"';
	else echo ',"dens":"false"';

	if (isset($query_cond->show_flags)&&!($query_cond->show_flags === "")) echo ',"flag":"'.$query_cond->show_flags.'"';
	else echo ',"flag":""';

	if (isset($query_cond->show_regression)&&!($query_cond->show_regression === "")) echo ',"regr":"'.$query_cond->show_regression.'"';
	else echo ',"regr":"false"';

	if (isset($query_cond->regr_nutrient)&&!($query_cond->regr_nutrient === "")) echo ',"rnut":"'.$query_cond->regr_nutrient.'"';
	else echo ',"rnut":""';

	if (isset($query_cond->charts_na)&&!($query_cond->charts_na === "")) echo ',"charts_na":"'.$query_cond->charts_na.'"';
	else echo ',"charts_na":""';

	if (isset($query_cond->charts_nb)&&!($query_cond->charts_nb === "")) echo ',"charts_nb":"'.$query_cond->charts_nb.'"';
	else echo ',"charts_nb":""';

	if (isset($query_cond->charts_nc)&&!($query_cond->charts_nc === "")) echo ',"charts_nc":"'.$query_cond->charts_nc.'"';
	else echo ',"charts_nc":""';

	if (isset($query_cond->stats_sel)&&!($query_cond->stats_sel === "")) echo ',"stats_sel":"'.$query_cond->stats_sel.'"';
	else echo ',"stats_sel":""';

	if (isset($query_cond->comp_par)&&!($query_cond->comp_par === "")) echo ',"comp_par":"'.$query_cond->comp_par.'"';
	else echo ',"comp_par":""';

	if (isset($query_cond->sel_radius)&&!($query_cond->sel_radius === "")) echo ',"rs":'.json_encode($query_cond->sel_radius);
	else echo ',"rs":""';
	

	echo '})';

	pg_close($conn);
	exit;
?>
