<?php
	ob_start();
	require './db_info.php';
	require './session_info.php';
	ob_end_clean();

	if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
		// getting parameters
		$description_en      = $_POST["den"];
		$description_de      = $_POST["dde"];
		$description_fr      = $_POST["dfr"];
		$data_type           = $_POST["dt"];
		$classified_feeds    = $_POST["cf"];
		$unclassified_feeds  = $_POST["uf"];
		$agridea_feeds       = $_POST["af"];
		$nutrients           = $_POST["nt"];
		$derived_nutrients   = $_POST["ntd"];
		$cantons             = $_POST["ct"];
		$altitude            = $_POST["al"];
		$selected_year       = $_POST["yeh"];
		$selected_season     = $_POST["seh"];
		$selected_radius     = $_POST["rs"];
		$fresh               = $_POST["fresh"];
		$show_density        = $_POST["dens"];
		$show_regression     = $_POST["regr"];
		$show_flags          = $_POST["flag"];
		$regression_nutrient = $_POST["rnut"];
		$charts_na           = $_POST["charts_na"];
		$charts_nb           = $_POST["charts_nb"];
		$charts_nc           = $_POST["charts_nc"];
		$stats_sel           = $_POST["stats_sel"];
		$availability        = $_POST["qav"];
		$comparison_params   = $_POST["comp_pars"];
		$sample_size         = $_POST["sample_size"];

		if (!isset($data_type)||$data_type==="") exit;

		if (!isset($classified_feeds)||$classified_feeds==="") $classified_feeds = "NULL";
		else $classified_feeds = "'".$classified_feeds."'";

		if (!isset($unclassified_feeds)||$unclassified_feeds==="") $unclassified_feeds = "NULL";
		else $unclassified_feeds = "'".$unclassified_feeds."'";

		if (!isset($agridea_feeds)||$agridea_feeds==="") $agridea_feeds = "NULL";
		else $agridea_feeds = "'".$agridea_feeds."'";

		if (!isset($nutrients)||$nutrients==="") $nutrients = "NULL";
		else $nutrients = "'".$nutrients."'";

		if (!isset($derived_nutrients)||$derived_nutrients==="") $derived_nutrients = "NULL";
		else $derived_nutrients = "'".$derived_nutrients."'";

		if (!isset($cantons)||$cantons==="") $cantons = "NULL";
		else $cantons = "'".$cantons."'";

		if (!isset($altitude)||$altitude==="") $altitude = "NULL";
		else $altitude = "'".$altitude."'";

		if (!isset($selected_year)||$selected_year==="") $selected_year = "NULL";
		else $selected_year = "'".$selected_year."'";

		if (!isset($selected_season)||$selected_season==="") $selected_season = "NULL";
		else $selected_season = "'".$selected_season."'";

		if (!isset($selected_radius)||$selected_radius==="") $selected_radius = "NULL";
		else $selected_radius = "'".$selected_radius."'";

		if (!isset($fresh)||$fresh==="") $fresh = "NULL";
		else $fresh = "'".$fresh."'";

		if (!isset($show_density)||$show_density==="") $show_density = "NULL";
		else $show_density = "'".$show_density."'";

		if (!isset($show_regression)||$show_regression==="") $show_regression = "NULL";
		else $show_regression = "'".$show_regression."'";

		if (!isset($show_flags)||$show_flags==="") $show_flags = "NULL";
		else $show_flags = "'".$show_flags."'";

		if (!isset($regression_nutrient)||$regression_nutrient==="") $regression_nutrient = "NULL";
		else $regression_nutrient = "'".$regression_nutrient."'";

		if (!isset($charts_na)||$charts_na==="") $charts_na = "NULL";
		else $charts_na = "'".$charts_na."'";

		if (!isset($charts_nb)||$charts_nb==="") $charts_nb = "NULL";
		else $charts_nb = "'".$charts_nb."'";

		if (!isset($charts_nc)||$charts_nc==="") $charts_nc = "NULL";
		else $charts_nc = "'".$charts_nc."'";

		if (!isset($stats_sel)||$stats_sel==="") $stats_sel = "NULL";
		else $stats_sel = "'".$stats_sel."'";

		if (!isset($availability)||$availability==="") $availability = "3";
		else $availability = "'".$availability."'";

		if (!isset($comparison_params)||$comparison_params==="") $comparison_params = "NULL";
		else $comparison_params = "'".$comparison_params."'";

		if (!isset($sample_size)||$sample_size==="") $sample_size = "NULL";
		else $sample_size = "'".$sample_size."'";

		// connecting to the database
		$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
		if (!$conn) die('Not connected : ' . pg_error());

		if ($_SESSION['userlevel'] > 2){
			if (!isset($description_de)||$description_de==="") $description_de = "saved query";
			if (!isset($description_fr)||$description_fr==="") $description_fr = "saved query";
			if (!isset($description_en)||$description_en==="") $description_en = "saved query";
		}else {
			if (!isset($description_de)||$description_de==="") $description_de = "saved query";
			$description_en = $description_de;
			$description_fr = $description_de;
		}

		// saving the query
		$insert_statement = "insert into queries (username, description_en, description_de, description_fr, data_type, classified_feeds, unclassified_feeds, agridea_feeds, nutrients, derived_nutrients, cantons, altitude, selected_year, selected_season, selected_radius, fresh_matter, show_density, show_regression, show_flags, regression_nutrient, charts_na, charts_nb, charts_nc, stats_sel, availability, comparison, sample_size) values ";
		$insert_statement .= "('".$_SESSION['user']."', '".$description_en."', '".$description_de."', '".$description_fr."', '".$data_type."', ".$classified_feeds.", ".$unclassified_feeds.", ".$agridea_feeds.", ".$nutrients.", ".$derived_nutrients.",".$cantons.", ".$altitude.", ".$selected_year.", ".$selected_season.", ".$selected_radius.", ".$fresh.", ".$show_density.", ".$show_regression.", ".$show_flags.", ".$regression_nutrient.", ".$charts_na.", ".$charts_nb.", ".$charts_nc.", ".$stats_sel.", ".$availability.", ".$comparison_params.", ".$sample_size.")";
		pg_query($conn, $insert_statement);

		pg_close($conn);
		echo "ok";		
	}
	exit;
?>
