<?php
	require './db_info.php';
	$selected_nutrients          = $_POST["nt"];

	if(isset($selected_nutrients)&&strlen($selected_nutrients)>0){
		$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
		if (!$conn) die('Not connected : ' . pg_error());

		$select_nutrient_names = "select z_abbreviation_de from d_nutrient where nutrient_key in ($selected_nutrients) order by z_abbreviation_de";
		$result = pg_query($conn, $select_nutrient_names);
		if (!$result){
                	die('Invalid query: ' . pg_error());
        	}

		$rows      = pg_numrows($result);
		$was_first = false; 
		$was_empty = false;
		for ($i = 0; $i < $rows; $i++){
			$row = pg_fetch_array($result, $i);
			
			if (isset($row['z_abbreviation_de'])){
				$name_de = htmlspecialchars($row['z_abbreviation_de'], ENT_COMPAT, 'UTF-8');
				if ($was_first){
					echo ",$name_de";
				}else{
					echo "$name_de";
					$was_first = true;
				}
			}else{
				$was_empty = true;
			}
		}

		if ($was_empty){
			if ($was_first){
				echo ",n/a";
			}else{
				echo "n/a";			
			}
		}

		pg_close($conn);
	}
?>
