<?php
   	require './db_info.php';
	require './ajax-pg-query-where.php';
	
	$where = getWhereStatement();

	// creating queries
    	$c = "SELECT z_abbreviation_de, (CASE WHEN t_day IS NULL THEN to_date(t_year||'-01-01', 'YYYY-MM-DD') ELSE t_day END) AS day, t_year, quantity, lims_number ".
         "from d_feed, fact_table, d_nutrient, d_origin, d_time ".
			"where fact_table.id_feed_fkey = d_feed.feed_key ".
			"and fact_table.id_nutrient_fkey=d_nutrient.nutrient_key ".
			"and fact_table.id_origin_fkey = d_origin.origin_key ".
			"and fact_table.id_time_fkey = d_time.time_key and d_m_b<>true $where".
            " order by z_abbreviation_de, day";
	
	//  Connection to PostgreSQL-DB
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	$result = pg_query($conn, $c);
	if(!$result){
		echo "Error: query wasn't successful (no result)";
	}else{
		$numrows = pg_numrows($result);

		$string = null;
		for($i = 0; $i < $numrows; $i++){
			$row = pg_fetch_array($result, $i);
			$string .= '-sep-'.$row[0];
			if($row[1] != null){
				$string .= '-s-'.$row[1];
			}else{
				$string .= '-s-'.$row[2].'-01-01';
			}
			$string .= '-s-'.$row[3];
			$string .= '-s-'.$row[4];
		}

		echo $string;
	}

	pg_close($conn);
?>
