<?php
	class Feed{
		var $nid     = "";
		var $nparent = "";
		var $nname   = "";
		var $old_key="";

		function Feed($nid_, $nparent_, $nname_, $old_key_){
			$this->nid     = $nid_;
			$this->nparent = $nparent_;
			$this->nname   = $nname_;
			$this->old_key  = $old_key_;
		}
	}

	function printFeeds($parents, $parent_){
		if (isset($parents[$parent_])){
			foreach ($parents[$parent_] as $i => $value) {
				if (isset($parents[$i])){
					echo "<li id=".$parents[$parent_][$i]->nid." title='".$parents[$parent_][$i]->nname. "'><a href='#'>".$parents[$parent_][$i]->nname."</a><ul>";
					echo printFeeds($parents, $i);
					echo "</ul></li>";
				}else { 
					echo "<li id=".$parents[$parent_][$i]->nid." title='".$parents[$parent_][$i]->nname. "'><a href='#'>".$parents[$parent_][$i]->nname."</a>";
					$page_katalogue= "http://www.feed-alp.admin.ch/fmkatalog/katalog/de/html/unit_" . $parents[$parent_][$i]->old_key . ".html";

					if(@file($page_katalogue)!==false) 
					echo "<a href='http://www.feed-alp.admin.ch/fmkatalog/katalog/de/html/unit_" . $parents[$parent_][$i]->old_key . ".html' TARGET='_blank'> <img src='./layout_resources/images/button_info.gif' /> </a> ";
				echo   "</li>";
				}
			}
		}
	}

	require './db_info.php';
	require './session_info.php';
	
	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	// a two dimensional array where the primary key is the parent_id
	$parents = array();

	// first, selecting all feeds
//	$select_feeds = "select name_de, name_".$_SESSION['lng']." as name, feed_key as old_key, feed_group_id, old_key as true_old_key from d_feed where source='agroscope classified' and feed_group_id is not null and old_key is not null and name_de is not null order by name_".$_SESSION['lng'];

      $select_feeds = "select name_de, name_".$_SESSION['lng']." as name, feed_key, feed_group_id, old_key, source from d_feed where feed_group_id is not null and name_de is not null and old_key is not null order by name_".$_SESSION['lng'];


	$result = pg_query($conn, $select_feeds);
	if (!$result){
                die('Invalid query: ' . pg_error());
        }

	$rows   = pg_numrows($result);
	echo "$rows,";
	for ($i = 0; $i < $rows; $i++){
		$row       = pg_fetch_array($result, $i);
		$group_id  = $row['feed_group_id'];
		$feed_key  = $row['feed_key'];
		$name_de   = $row['name_de'];
		$name      = $row['name'];
		$old_key   = $row['old_key'];
		$source    = $row['source'];
	
		if (isset($name)) $name = htmlspecialchars($name, ENT_COMPAT, 'UTF-8');
		else $name      = htmlspecialchars($name_de, ENT_COMPAT, 'UTF-8');

		if (!isset($parents['-g-'.$group_id])){
			$parents['-g-'.$group_id] = array();
		}
		if (!isset($parents['-g-'.$group_id][''.$old_key])){				
			if ($source == 'agroscope classified'){
				$parents['-g-'.$group_id][''.$old_key] = new Feed(''.$feed_key, '-g-'.$group_id, $name, ''. $old_key);
			}else{
				$parents['-g-'.$group_id][''.$old_key] = new Feed(''.$feed_key, '-g-'.$group_id, '', ''. $old_key);
			}
		}else{
			$parents['-g-'.$group_id][''.$old_key]->nid    = $parents['-g-'.$group_id][''.$old_key]->nid.','.$feed_key;
			
			if ($source == 'agroscope classified'){
				$parents['-g-'.$group_id][''.$old_key]->nname  = $name;

				$t_nid     = $parents['-g-'.$group_id][''.$old_key]->nid;
				$t_nparent = $parents['-g-'.$group_id][''.$old_key]->nparent;
				$t_nname   = $parents['-g-'.$group_id][''.$old_key]->nname;
				$t_old_key = $parents['-g-'.$group_id][''.$old_key]->old_key;

				unset($parents['-g-'.$group_id][''.$old_key]);
				$parents['-g-'.$group_id][''.$old_key] = new Feed($t_nid, $t_nparent, $t_nname, $t_old_key);
			}			
		}
	}

	// second, selecting all feed groups
	$select_groups = "select distinct feed_group_id, parent_feed_group_id, feed_group_de as name_de, feed_group_".$_SESSION['lng']." as name from d_feed where source='agroscope classified' order by feed_group_id";
	$result = pg_query($conn, $select_groups);
	if (!$result){
                die('Invalid query: ' . pg_error());
        }

	$rows   = pg_numrows($result);
	for ($i = 0; $i < $rows; $i++){
		$row       = pg_fetch_array($result, $i);
		$id        = $row['feed_group_id'];
		$parent_id = $row['parent_feed_group_id'];
		$name_de   = $row['name_de'];
		$name      = $row['name'];

		if (isset($name)) $name = htmlspecialchars($name, ENT_COMPAT, 'UTF-8');
		else $name      = htmlspecialchars($name_de, ENT_COMPAT, 'UTF-8');

		if (!$parent_id){
			if (!isset($parents[''])){
				$parents[''] = array();
			}
			$parents['']['-g-'.$id] = new Feed('-g-'.$id, '', $name, '');
		}else{
			if (!isset($parents['-g-'.$parent_id])){
				$parents['-g-'.$parent_id] = array();
			}
			$parents['-g-'.$parent_id]['-g-'.$id] = new Feed('-g-'.$id, '-g-'.$parent_id, $name, '');
		}
	}

	printFeeds($parents, '');
    
	unset($parents);
	pg_close($conn);
?>
