<?php
	require './db_info.php';
	require './session_info.php';
	
	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	// selecting and preparing the result for jstree as html tags
	$select_feeds = "select distinct feed_key, name_".$_SESSION['lng'].", alternative_name_".$_SESSION['lng'].", name_de, alternative_name_de from ". 
			"d_feed, fact_table where id_feed_fkey = feed_key and source='agroscope lims' order by name_".$_SESSION['lng'].", name_de";
	$result = pg_query($conn, $select_feeds);

	if (!$result){
                die('Invalid query: ' . pg_error());
        }

	$rows   = pg_numrows($result);
	echo "$rows,";
	for ($i = 0; $i < $rows; $i++){
		$row              = pg_fetch_array($result, $i);
		$id               = $row['feed_key'];
		$alternative_name = $row['alternative_name_'.$_SESSION['lng']];
		$name             = $row['name_'.$_SESSION['lng']];

		if (isset($name)) $name = htmlspecialchars($name, ENT_COMPAT, 'UTF-8');
		else {
			$name = $row['name_de'];
			if (isset($name)) $name = htmlspecialchars($name, ENT_COMPAT, 'UTF-8');
			else $name = "n/a";
		}

		if (!isset($alternative_name)){
			$alternative_name = $row['alternative_name_de'];
		}

		if(isset($alternative_name)){
			$alternative_name = htmlspecialchars($alternative_name, ENT_COMPAT, 'UTF-8');
			echo "<li id='$id' title='$name'><a href='#'>$name   <i>-- $alternative_name</i></a></li>";
		}else {
			echo "<li id='$id' title='$name'><a href='#'>$name</a></li>";
		}
	}
	pg_close($conn);
?>
