var one_to_many_comparison_query_id;
var one_to_many_comparison_selecting_target = false;
var one_to_many_comparison_circle_location  = null;
var one_to_many_comparison_query_result = null;
var one_to_many_comparison_table = null;
var one_to_many_comparison_seltops = null;
var one_to_many_comparison_lng = null;
var one_to_many_comparison_lat = null;
var one_to_many_comparison_ori = null;

function one_to_many_comparison_init(query_id){
	one_to_many_comparison_query_id = query_id;

	if (one_to_many_comparison_circle_location != null){
		one_to_many_comparison_circle_location.setMap(null);
		one_to_many_comparison_circle_location = null;
	}
	one_to_many_comparison_selecting_target = false;
	one_to_many_comparison_lng = null;
	one_to_many_comparison_lat = null;
	one_to_many_comparison_ori = null;

	if (one_to_many_comparison_query_result  != null){
		var prevRows = one_to_many_comparison_query_result.getNumberOfRows();
            	if(prevRows != 0) one_to_many_comparison_query_result.removeRows(0,prevRows);
            	var prevColumns = one_to_many_comparison_query_result.getNumberOfColumns();
            	if (prevColumns != 0) one_to_many_comparison_query_result.removeColumns(0, prevColumns);
		one_to_many_comparison_query_result = null;
	}

	if (one_to_many_comparison_table != null){		
		one_to_many_comparison_table = null;
	}

	one_to_many_comparison_releaseSelected();

	var html = new String();
	html += "<table style=\"padding-top:10px\">";
	html += "<tr><th>" + message_comp_location + "</th><th>" + message_comp_nutrient + "</th><th>" + message_comp_radius + "</th><th>" + message_comp_similarity + "</th>" + "<th></th></tr>";
	html += "<tr>";
	html += "<td align=\"center\"><button id=\"one_to_many_comparison_target\" type=\"button\" onclick=\"one_to_many_comparison_set_target()\">" + message_comp_select + "</button></td>";
	html += "<td align=\"center\"><select id=\"one_to_many_comparison_nutrient\"></select></td>";
	html += "<td align=\"center\"><select id=\"one_to_many_comparison_rad\" onchange=\"one_to_many_comparison_rad()\"><option value=5>5</option><option selected=\"selected\" value=10>10</option><option value=15>15</option><option value=20>20</option></select></td>";
	html += "<td align=\"center\"><select id=\"one_to_many_comparison_direction\"><option selected=\"selected\" value=\"desc\">" + message_comp_similar + "</option><option value=\"asc\">" + message_comp_dissimilar + "</option></select></td>";
	html += "<td><button id=\"one_to_many_comparison_compute\" onclick=\"one_to_many_comparison_compute()\">" + message_comp_compute + "</button></td>";
	html += "</tr>";
	html += "<tr><td><span id=\"one_to_many_comparison_coords\" style=\"color:#ff0000;font-size:0.7em\"></span></td><td></td><td></td><td></td><td></td></tr>";
	html += "</table><hr/>";
	html += "<div id=\"one_to_many_comparison_table\"  style=\"display:block;width:580px;height:318px;\"></div>";

	$("#dd_many_region_comparison").html(html);
	$(":range").rangeinput();
}

function one_to_many_comparison_rad(){
	if (one_to_many_comparison_circle_location != null){
		one_to_many_comparison_circle_location.setRadius(parseInt($("#one_to_many_comparison_rad").val())*1000);
	}
}

function one_to_many_comparison_show(){
	$("#one_to_many_comparison_nutrient").html($("#dd_charts_nutrient_a").html().substring());
	$("#one_to_many_comparison_nutrient option[value=\"-1\"]").remove();
	$("#one_to_many_comparison_nutrient").find("option").each(function (index){
		var col_i = parseInt($(this).attr("value"));
		$(this).attr("value", query_result.getColumnId(col_i).substring(8));				
	});
	if (one_to_many_comparison_circle_location != null){
		one_to_many_comparison_circle_location.setMap(g_map);
		g_map.fitBounds(one_to_many_comparison_circle_location.getBounds());
	}
	one_to_many_comparison_showSelected();
}

function one_to_many_comparison_hide(){
	$.hideCursorMessage();
	if (one_to_many_comparison_circle_location != null) one_to_many_comparison_circle_location.setMap(null);
	one_to_many_comparison_hideSelected();
}

function one_to_many_comparison_set_target(){
	if (!one_to_many_comparison_selecting_target){
		$.cursorMessage(message_comp_guid_select, {hideTimeout:0});
		one_to_many_comparison_selecting_target = true;
		$("#one_to_many_comparison_target").html(message_comp_abort_select);
	}else {
		one_to_many_comparison_selecting_target = false;
		$("#one_to_many_comparison_target").html(message_comp_select);
		$.hideCursorMessage();
	}
}

function one_to_many_comparison_attach_target(selected_sample){
	if (!one_to_many_comparison_selecting_target) return;

	var location_id = query_result.getValue(selected_sample,0);
	var ori = query_result.getValue(selected_sample,1);
	var lat = distinct_locations[location_id].getPosition().lat();
	var lng = distinct_locations[location_id].getPosition().lng();
	
	one_to_many_comparison_attach(lat, lng, ori);
	
	one_to_many_comparison_selecting_target = false;
	$.hideCursorMessage();
}

function one_to_many_comparison_attach(_lat, _lng, _ori){
	if (_lng == null || _lat == null || _ori == null) return;
	one_to_many_comparison_lng = _lng;
	one_to_many_comparison_lat = _lat;
	one_to_many_comparison_ori = _ori;
	

	$("#one_to_many_comparison_target").html(message_comp_select);
	$("#one_to_many_comparison_coords").html(Math.round(one_to_many_comparison_lat*10000)/10000 + "," + Math.round(one_to_many_comparison_lng*10000)/10000);

	if (one_to_many_comparison_circle_location == null){
		one_to_many_comparison_circle_location = new google.maps.Circle({
			center: new google.maps.LatLng(one_to_many_comparison_lat, one_to_many_comparison_lng),
			radius: parseInt($("#one_to_many_comparison_rad").val()) * 1000,
			options: {zIndex:99999},
			map: g_map
		});
		g_map.fitBounds(one_to_many_comparison_circle_location.getBounds());
	}else {
		one_to_many_comparison_circle_location.setCenter(new google.maps.LatLng(one_to_many_comparison_lat, one_to_many_comparison_lng));
		g_map.fitBounds(one_to_many_comparison_circle_location.getBounds());
	}
}

function one_to_many_comparison_releaseSelected(){
	if (one_to_many_comparison_seltops != null){
		for (i in one_to_many_comparison_seltops) one_to_many_comparison_seltops[i].setMap(null);
		one_to_many_comparison_seltops = null;
	}
}

function one_to_many_comparison_hideSelected(){
	if (one_to_many_comparison_seltops != null){
		for (i in one_to_many_comparison_seltops) one_to_many_comparison_seltops[i].setMap(null);	
	}
}

function one_to_many_comparison_showSelected(){
	if (one_to_many_comparison_seltops != null){
		var g_boundsss = new google.maps.LatLngBounds();
		for (i in one_to_many_comparison_seltops){
			one_to_many_comparison_seltops[i].setMap(g_map);
			g_boundsss.extend(one_to_many_comparison_seltops[i].getBounds().getNorthEast());
			g_boundsss.extend(one_to_many_comparison_seltops[i].getBounds().getSouthWest());		
		}		
		if (one_to_many_comparison_circle_location != null){
			g_boundsss.extend(one_to_many_comparison_circle_location.getBounds().getNorthEast());
			g_boundsss.extend(one_to_many_comparison_circle_location.getBounds().getSouthWest());		
		}
		g_map.fitBounds(g_boundsss);
	}
}

function one_to_many_comparison_getQueryParams(){
	if (one_to_many_comparison_lng == null || one_to_many_comparison_lat == null || one_to_many_comparison_ori == null) return "";
	return one_to_many_comparison_ori + ";" + one_to_many_comparison_lat + ";" + one_to_many_comparison_lng + ";" + $("#one_to_many_comparison_rad").val() + ";" + $("#one_to_many_comparison_nutrient").val() + ";" + $("#one_to_many_comparison_direction").val();
}

function restoreRegionComparisonOptions(){
	if (glob_comp_pars.length > 0){
		var nn = glob_comp_pars.split(";");
		$("#one_to_many_comparison_rad").val(nn[3]);
		$("#one_to_many_comparison_nutrient").val(nn[4]);
		$("#one_to_many_comparison_direction").val(nn[5]);
		one_to_many_comparison_attach(nn[1], nn[2], nn[0]);
	}
}

function one_to_many_comparison_compute(){
	if (one_to_many_comparison_selecting_target) return;
	if (one_to_many_comparison_lng == null || one_to_many_comparison_lat == null || one_to_many_comparison_ori == null) return;

	if (one_to_many_comparison_table != null){
		one_to_many_comparison_table.clearChart();
		one_to_many_comparison_table = null;
		$('#one_to_many_comparison_table').html("");
	}

	var httpObject = getHttpObject();
	if (httpObject != null){
		$('#one_to_many_comparison_table').html("computing...");

		var parameters = getQueryParameters(one_to_many_comparison_query_id);
		parameters += "&udr_origin_key=" + one_to_many_comparison_ori;
		parameters += "&udr_latitude=" + one_to_many_comparison_lat;
		parameters += "&udr_longitude=" + one_to_many_comparison_lng;
		parameters += "&udr_radius=" + parseInt($("#one_to_many_comparison_rad").val());
		var ss = $("#one_to_many_comparison_nutrient").val();
		if (ss.indexOf(",") > 0){
			ss = ss.substring(0, ss.indexOf(","));
		}
		parameters += "&ud_nutrient_key=" + ss;
		parameters += "&ud_ordering=" + $("#one_to_many_comparison_direction").val();
		parameters += "&ud_limit=30";

		httpObject.open("POST", "db_scripts/ajax-pg-result-top-k-similar-regions.php", true);
		httpObject.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		httpObject.send(parameters);

		httpObject.onreadystatechange = function(){
			if(httpObject.readyState == 4){
				// reading the data from the http_response
				if (httpObject.responseText == null || httpObject.responseText.length < 20){
					showErrorMessage(message_comp_error);
					$('#one_to_many_comparison_table').html("");
				}else {

					one_to_many_comparison_query_result = new google.visualization.DataTable(httpObject.responseText);

					one_to_many_comparison_table = new google.visualization.Table(document.getElementById('one_to_many_comparison_table'));
					google.visualization.events.addListener(one_to_many_comparison_table, 'select',
	                        		function(){
							one_to_many_comparison_releaseSelected();
							var selection = one_to_many_comparison_table.getSelection();
							if (selection.length > 0){								
								one_to_many_comparison_seltops = [];

								for (var i = 0; i < selection.length; i++){
									var lat = one_to_many_comparison_query_result.getValue(selection[i].row, 3);
									var lng = one_to_many_comparison_query_result.getValue(selection[i].row, 4);
									var prb = one_to_many_comparison_query_result.getValue(selection[i].row, 5);

									var location = new google.maps.Circle({
										center: new google.maps.LatLng(lat, lng),
										radius: parseInt($("#one_to_many_comparison_rad").val()) * 1000,
										fillColor: "yellow"
									});

									one_to_many_comparison_seltops.push(location);
								}

								one_to_many_comparison_showSelected();
							}
						}
					);
					var table_options = {width:'100%', height:'100%', allowHtml: true, showRowNumber: true};
					var table_view_xxxx = new google.visualization.DataView(one_to_many_comparison_query_result);
					table_view_xxxx.hideColumns([3,4]);
					one_to_many_comparison_table.draw(table_view_xxxx, table_options);
				}
			}
		}		
	}
}
