<?php
	require './db_info.php';
	require './session_info.php';
	require './ajax-pg-query-where.php';
	
	$where_1 = getWhereStatement();
	$where_2 = $where_1;
	
	$selected_location_1   = $_POST["loc1"];
	$selected_location_2   = $_POST["loc2"];
	
	// query for location 1
	$loc_exploded_1 = explode(',',$selected_location_1);
	$where_1 .= " and (d_origin.origin_key in (select * from getsamplesinradiusouterinnerboundingbox2(".$loc_exploded_1[0].",".$loc_exploded_1[1].",".$loc_exploded_1[2].")))";	
	
	// query for location 2
	$loc_exploded_2 = explode(',',$selected_location_2);
	$where_2 .= " and (d_origin.origin_key in (select * from getsamplesinradiusouterinnerboundingbox2(".$loc_exploded_2[0].",".$loc_exploded_2[1].",".$loc_exploded_2[2].")))";

	// creating queries 
	$sql_select = "SELECT DISTINCT z_abbreviation_de";	
	$sql_ftest_select = "SELECT z_abbreviation_de, count(sample_avg_quantity), min(sample_avg_quantity), max(sample_avg_quantity), avg(sample_avg_quantity), stddev_samp(sample_avg_quantity), sum(sample_avg_quantity), sum(sample_avg_quantity^2), sum(sample_avg_quantity)*sum(sample_avg_quantity)/count(sample_avg_quantity)";
	$sql_inner_select = "SELECT z_abbreviation_de, avg(quantity) as sample_avg_quantity"; // calculates the average of the two measurement-values of each samples
		
	$sql_from = " from d_feed, ".$_SESSION["data_source"].", d_nutrient, d_origin, d_time ".
			"where ".$_SESSION["data_source"].".id_feed_fkey = d_feed.feed_key ".
			"and ".$_SESSION["data_source"].".id_nutrient_fkey=d_nutrient.nutrient_key ".
			"and ".$_SESSION["data_source"].".id_origin_fkey = d_origin.origin_key ".
			"and ".$_SESSION["data_source"].".id_time_fkey = d_time.time_key";
	
	$sql_groupBy = " GROUP BY z_abbreviation_de";
	$sql_inner_groupBy = " GROUP BY lims_number, z_abbreviation_de";
	
	$sql_orderBy = " ORDER BY z_abbreviation_de";


	$c = $sql_select." from (SELECT lims_number, z_abbreviation_de".$sql_from.$where_1." UNION SELECT lims_number, z_abbreviation_de".$sql_from.$where_2.") as inner_result_1".$sql_groupBy.$sql_orderBy;
	// Lims_number is needed as unique key as nutrients with same quantity may get lost with "UNION"
	
	$c_loc1 = $sql_ftest_select." FROM (".$sql_inner_select.$sql_from.$where_1.$sql_inner_groupBy.") as inner_calculation_1".$sql_groupBy.$sql_orderBy;
	$c_loc2 = $sql_ftest_select." FROM (".$sql_inner_select.$sql_from.$where_2.$sql_inner_groupBy.") as inner_calculation_2".$sql_groupBy.$sql_orderBy;
	
	//  Connection to PostgreSQL-DB
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	$result = pg_query($conn, $c);	

	
	$result_loc1 = pg_query($conn, $c_loc1);
	$result_loc2 = pg_query($conn, $c_loc2);

	
	if(!$result ||!$result_loc1 || !$result_loc2){
		echo "Error: query wasn't successful (no result)";
	}else{
		$numrows = pg_numrows($result);
		
		$numrows_loc1 = pg_numrows($result_loc1);
		$numrows_loc2 = pg_numrows($result_loc2);
		
		$row_number_loc1 = 0;
		$row_number_loc2 = 0;
		
		$row_loc1=array(0,0,0,0,0,0,0,0);
		$row_loc2=array(0,0,0,0,0,0,0,0);
		
		$string = null;
		for($i = 0; $i < $numrows; $i++){

			$row = pg_fetch_array($result, $i);
			
			if($row_number_loc1 < $numrows_loc1 && $row_number_loc2 < $numrows_loc2) {	
				$row_loc1 = pg_fetch_array($result_loc1, $row_number_loc1);
				$row_loc2 = pg_fetch_array($result_loc2, $row_number_loc2);
				$string_comparison = strcasecmp($row_loc1[0], $row_loc2[0]);
				if($string_comparison < 0) {
					$row_loc1=array($row_loc1[1],$row_loc1[2],$row_loc1[3],$row_loc1[4],$row_loc1[5],$row_loc1[6],$row_loc1[7],$row_loc1[8]);
					$row_loc2=array(0,0,0,0,0,0,0,0);
					$row_number_loc1 = $row_number_loc1 + 1;
				} else if ($string_comparison > 0) {
					$row_loc1=array(0,0,0,0,0,0,0,0);
					$row_loc2=array($row_loc2[1],$row_loc2[2],$row_loc2[3],$row_loc2[4],$row_loc2[5],$row_loc2[6],$row_loc2[7],$row_loc2[8]);
					$row_number_loc2 = $row_number_loc2 + 1;
				} else {
					$row_loc1=array($row_loc1[1],$row_loc1[2],$row_loc1[3],$row_loc1[4],$row_loc1[5],$row_loc1[6],$row_loc1[7],$row_loc1[8]);
					$row_loc2=array($row_loc2[1],$row_loc2[2],$row_loc2[3],$row_loc2[4],$row_loc2[5],$row_loc2[6],$row_loc2[7],$row_loc2[8]);
					$row_number_loc1 = $row_number_loc1 + 1;
					$row_number_loc2 = $row_number_loc2 + 1;
				}
				
			} else {
				$row_loc1=array(0,0,0,0,0,0,0,0);
				$row_loc2=array(0,0,0,0,0,0,0,0);
			}
			
			
			
			$string .= '-sep-'.$row[0]; //0
			//add next value: converted to float, set to 3 decimal places.
			
			$string .= '-s-'.number_format(floatval($row_loc1[1]),3); //1
			$string .= '-s-'.number_format(floatval($row_loc1[2]),3); //2
			$string .= '-s-'.number_format(floatval($row_loc1[3]),3); //3
			$string .= '-s-'.number_format(floatval($row_loc1[4]),3); //4
			$string .= '-s-'.$row_loc1[0]; //5
			$string .= '-s-'.$row_loc1[5]; //6
			$string .= '-s-'.$row_loc1[6]; //7
			$string .= '-s-'.$row_loc1[7]; //8
			
			$string .= '-s-'.number_format(floatval($row_loc2[1]),3); //9
			$string .= '-s-'.number_format(floatval($row_loc2[2]),3); //10
			$string .= '-s-'.number_format(floatval($row_loc2[3]),3); //11
			$string .= '-s-'.number_format(floatval($row_loc2[4]),3); //12
			$string .= '-s-'.$row_loc2[0]; //13
			$string .= '-s-'.$row_loc2[5]; //14
			$string .= '-s-'.$row_loc2[6]; //15
			$string .= '-s-'.$row_loc2[7]; //16
			
			/*$string .= '-s-'.number_format(floatval($row[2]),3);
			$string .= '-s-'.number_format(floatval($row[3]),3);
			$string .= '-s-'.number_format(floatval($row[4]),3);
			$string .= '-s-'.number_format(floatval($row[5]),3);
			$string .= '-s-'.$row[1];*/
			/*$string .= '-s-'.$row_loc1[0];
			$string .= '-s-'.$row_loc1[1];
			$string .= '-s-'.$row_loc1[2];
			$string .= '-s-'.$row_loc1[3];
			$string .= '-s-'.$row_loc2[0];
			$string .= '-s-'.$row_loc2[1];
			$string .= '-s-'.$row_loc2[2];
			$string .= '-s-'.$row_loc2[3];*/
			
			
		}
		echo $string;
	}

	pg_close($conn);
?>
