<?php
	ob_start();
	require './db_info.php';
    	require './session_info.php';
	require './get_sd_nutrients.php';
	require './get_sd_classified_feeds.php';
	require './ajax-pg-query-where.php';
	ob_end_clean();

	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	$query_cond = new QueryConditions($conn);

	echo '({"f":';
	$output_string = "";
	getFeedsInJSON($output_string, $conn, &$query_cond);
	echo $output_string;

	echo ',"n":';
	$output_string = "";
	getNutrientsInJSON($output_string, $conn, &$query_cond);
	echo $output_string;

	echo ',"fm":"'.$query_cond->sel_fresh.'"})';

	pg_close($conn);
	exit;
?>
