<?php
	class Feed{
		var $nid     = "";
		var $nparent = "";
		var $nname   = "";

		function Feed($nid_, $nparent_, $nname_){
			$this->nid     = $nid_;
			$this->nparent = $nparent_;
			$this->nname   = $nname_;
		}
	}

	function printFeeds($parents, $parent_){
		if (isset($parents[$parent_])){
			foreach ($parents[$parent_] as $i => $value) {
				if (isset($parents[$i])){
					echo "<li id=".$parents[$parent_][$i]->nid."><a href='#'>".$parents[$parent_][$i]->nname."</a><ul>";
					echo printFeeds($parents, $i);
					echo "</ul></li>";
				}else { 
					echo "<li id=".$parents[$parent_][$i]->nid."><a href='#'>".$parents[$parent_][$i]->nname."</a>";
					$page_katalogue= "http://www.feed-alp.admin.ch/fmkatalog/katalog/de/html/unit_" . $parents[$parent_][$i]->nid . ".html";
					if(@file($page_katalogue)!==false) 
						echo "<a href='http://www.feed-alp.admin.ch/fmkatalog/katalog/de/html/unit_" . $parents[$parent_][$i]->nid . ".html' TARGET='_blank'> <img src='./layout_resources/images/button_info.gif' /> </a> ";
					echo "</li>";
				}
			}
		}
	}

	require './db_info.php';
	require './session_info.php';
	
	// connecting to the database
	$conn = pg_connect("host=$host port=$port dbname=$database user=$username password = $password") or die  ('Error connecting to Postgres');
	if (!$conn) die('Not connected : ' . pg_error());

	// a two dimensional array where the primary key is the parent_id
	$parents = array();

	// first, selecting all feeds
	$select_feeds = "select name_de, name_".$_SESSION['lng']." as name, old_key, feed_group_id from d_feed where source='agroscope classified' and feed_group_id is not null and old_key is not null and name_de is not null order by name_".$_SESSION['lng'];
	$result = pg_query($conn, $select_feeds);
	if (!$result){
                die('Invalid query: ' . pg_error());
        }

	$rows   = pg_numrows($result);
	echo "$rows,";
	for ($i = 0; $i < $rows; $i++){
		$row       = pg_fetch_array($result, $i);
		$group_id  = $row['feed_group_id'];
		$old_key   = $row['old_key'];
		$name_de   = $row['name_de'];
		$name      = $row['name'];

		if (isset($name)) $name = htmlspecialchars($name, ENT_COMPAT, 'UTF-8');
		else $name      = htmlspecialchars($name_de, ENT_COMPAT, 'UTF-8');

		if (!isset($parents['-g-'.$group_id])){
			$parents['-g-'.$group_id] = array();
		}
		$parents['-g-'.$group_id][''.$old_key] = new Feed(''.$old_key, '-g-'.$group_id, $name);
	}

	// second, selecting all feed groups
	$select_groups = "select distinct feed_group_id, parent_feed_group_id, feed_group_de as name_de, feed_group_".$_SESSION['lng']." as name from d_feed where source='agroscope classified' order by feed_group_id";
	$result = pg_query($conn, $select_groups);
	if (!$result){
                die('Invalid query: ' . pg_error());
        }

	$rows   = pg_numrows($result);
	for ($i = 0; $i < $rows; $i++){
		$row       = pg_fetch_array($result, $i);
		$id        = $row['feed_group_id'];
		$parent_id = $row['parent_feed_group_id'];
		$name_de   = $row['name_de'];
		$name      = $row['name'];

		if (isset($name)) $name = htmlspecialchars($name, ENT_COMPAT, 'UTF-8');
		else $name      = htmlspecialchars($name_de, ENT_COMPAT, 'UTF-8');

		if (!$parent_id){
			if (!isset($parents[''])){
				$parents[''] = array();
			}
			$parents['']['-g-'.$id] = new Feed('-g-'.$id, '', $name);
		}else{
			if (!isset($parents['-g-'.$parent_id])){
				$parents['-g-'.$parent_id] = array();
			}
			$parents['-g-'.$parent_id]['-g-'.$id] = new Feed('-g-'.$id, '-g-'.$parent_id, $name);
		}
	}

	printFeeds($parents, '');
    
	unset($parents);
	pg_close($conn);
?>
