<?php
    require './db_scripts/session_info.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>The Swiss Feed Database</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="cache-control" content="no-cache">
		<meta http-equiv="pragma" content="no-cache">
		<meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE; chrome=IE8"/>
		<script type="text/javascript" src="http://maps.google.ch/maps/api/js?v=3&sensor=true"></script>
		<script type="text/javascript" src="https://www.google.com/jsapi"></script>
		<script type="text/javascript" src="http://crypto-js.googlecode.com/files/2.3.0-crypto-md5.js"></script>
		<script type="text/javascript" src="http://cdn.jquerytools.org/1.2.7/full/jquery.tools.min.js"></script>
        	<!--[if IE]> <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/chrome-frame/1/CFInstall.min.js"></script> <![endif]-->
		<script type="text/javascript" src="layout_resources/jstree/jquery.cookie.js"></script>
		<script type="text/javascript" src="layout_resources/jstree/jquery.hotkeys.js"></script>
		<script type="text/javascript" src="layout_resources/jstree/jquery.jstree.js"></script>
		<script type="text/javascript" src="layout_resources/markerclusterer/markerclusterer_compiled.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/resize-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/global-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/search_options-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/ouput_results-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/radius-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/density-gmaps-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/regression-gmaps-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/controls-gmaps-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/region_comparison-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/many_region_comparison-12.js"></script>
		<script type="text/javascript" src="layout_resources/jscripts/cumulative_f_distribution-12.js"></script>
		<script type="text/javascript" src="layout_resources/cursor_message/jquery.cursorMessage.js"></script>
		<link rel="stylesheet" type="text/css"  href="layout_resources/jstree/themes/default/style.css">		
		<link rel="stylesheet" type="text/css"  href="layout_resources/css/main-12.css">
		<link rel="stylesheet" type="text/css"  href="layout_resources/css/tabs-11.css">
		<link rel="stylesheet" type="text/css"  href="layout_resources/css/login-11.css">
		<link rel="stylesheet" type="text/css"  href="layout_resources/css/messages-11.css">
		<link rel="stylesheet" type="text/css"  href="layout_resources/cursor_message/jquery.cursorMessage.css" />		
	</head>

	<body onresize="updateLabels();update_reize_windows();">
		<div id="active_body">
			<div id="tooltip" class="tooltip" style="padding:1px;margin:1px;display:none;z-index:10;min-width:200px;min-height:200px;max-width:400px;overflow:auto"></div>			

			<div id="info_message"></div>
	
			<div id="header">
				<a href="index.php" style="text-decoration: none; border:0px"><img style="border:0px" src="layout_resources/images/header.jpg"></a>
			</div>

			<div id="sub_header">
				<ul class="cssMenu">
					<li>
						<a class="navigation_menu" href="#" onclick="if (!areLoading()){ clear_results();initializeSearchOptions(-1);}"><?php echo $_terms["home_button"];?></a>
						<label>|</label>
					</li>
					<li>
					<?php
						echo "<a class=\"navigation_menu\" href=\"layout_resources/lng/help_".$_SESSION["lng"].".pdf\" target=\"_blank\">".$_terms["help_button"]."</a>\n";
					?>
						<label>|</label>
					</li>
					<li>
						<a class="navigation_menu" href="glossar.php" target="_blank"><?php echo $_terms["glossar_button"];?></a>
						<label>|</label>
					</li>
				<?php 
					if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
						echo "<li>";
						echo "<a class=\"navigation_menu\" href=\"http://www.agroscope.admin.ch/futtermitteldatenbank/\" target=\"_blank\">".$_terms["recommendations_button"]."</a>\n";
						echo "<label>|</label>\n";
						echo "</li>";
						echo "<li>";
						echo "<a class=\"navigation_menu\" href=\"http://www.agroscope.admin.ch/futtermitteldatenbank/04836/index.html\" target=\"_blank\">".$_terms["applications_button"]."</a>\n";
						echo "<label>|</label>\n";
						echo "</li>";
					}else {
						echo "<li>";
						echo "<a class=\"navigation_menu\" href=\"http://www.agroscope.admin.ch/futtermitteldatenbank/05227/index.html?lang=".$_SESSION['lng']."\" target=\"_blank\">".$_terms["password_button"]."</a>\n";
						echo "<label>|</label>\n";
						echo "</li>";
					}
				?>
					<li>
						<a class="navigation_menu" style="color:#ff7200;font-weight:bold" href="#" rel="#user_feedback_form"><?php echo $_terms["feedback_button"];?></a>
						<label>|</label>
					</li>
					<li>
						<a class="navigation_menu" href="#">links</a>
						<ul>
							<li>
								<a class="navigation_menu" href="http://www.ifi.uzh.ch/dbtg/research/sfdb/publications.html" target="_blank">publications</a>
							</li>
						</ul>
					</li>
				</ul>

				<div id="session">					
					<label style="padding-left:10px"></label>
					<?php 
						if (!isset($_SESSION['user'])){
							echo "<a href=\"#\" class=\"navigation_menu\" style=\"margin:-2px\" rel=\"#login_window\">login</a>";
						}else{
							echo "<a href=\"?logout=true\" class=\"navigation_menu\"><i>".$_SESSION['user']." (logout)</i></a>";
						}
					?>
					<label style="padding-left:14px"></label>
                   			<?php
 			                       if ($_SESSION["lng"] === "de"){
                        			echo "<label><b><i>deutsch</i></b></label>";
						}else {
						echo "<a href=\"?lng=de\" class=\"navigation_menu\" style=\"margin:-2px\">deutsch</a>";
						}
					?>
					<label style="margin:-2px">-</label>
					<?php
						if ($_SESSION["lng"] === "fr"){
							echo "<label><b><i>français</i></b></label>";
						}else{
							echo "<a href=\"?lng=fr\" class=\"navigation_menu\" style=\"margin:-2px\">français</a>";
						}
					?>
					<label style="margin:-2px">-</label>
					<?php
						if ($_SESSION["lng"] === "en"){
							echo "<label><b><i>english</i></b></label>";
						}else{
							echo "<a href=\"?lng=en\" class=\"navigation_menu\" style=\"margin:-2px\">english</a>";
						}
					?>
					<label style="padding-left:7px"></label>
					<?php if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2){
						echo "<a class=\"navigation_menu\" href=\"admin/index.html\">admin</a>";
					}?>
				</div>
			</div>

			<div id="main_search_field">
				<form id="switch_data_type" class="search_item" name="data_type" style="background-color:transparent">				
					<input type="radio" name="data_type" checked="yes" value="t" onchange="if (updateDataType(-1)){initializeSearchOptions(-1);}"/><label><?php echo $_terms["detailed_data"];?></label>
					<input type="radio" name="data_type" value="s" onchange="if (updateDataType(-1)){initializeSearchOptions(-1);}"/><label><?php echo $_terms["aggregated_data"];?></label>
				</form>
				<?php 
						if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2){
							echo "<form id=\"switch_to_raw\" name=\"data_stage\" style=\"background-color:transparent;position:absolute;font-size:1.0em;font-style:italic\">";
							echo "<input type=\"checkbox\" name=\"data_stage\" style=\"width:11px;height:11px\" onchange=\"if (updateDataType(-1)){initializeSearchOptions(-1);}\"><label>work with raw data</label>";
							echo "</form>";
						}
				?>
				<a href="#" id="open_td_feeds_options" class="search_item" rel="#td_feeds_options"><?php echo $_terms["feed"];?><label id="open_td_feeds_label" class="search_item"></label></a>
				<a href="#" id="open_sd_feeds_options" style="display:none" class="search_item" rel="#sd_feeds_options"><?php echo $_terms["feed"];?><label id="open_sd_feeds_label" class="search_item"></label></a>
				<p class="main_search_field_separator"></p>
				<a href="#" id="open_td_nutrients_options" class="search_item" rel="#td_nutrients_options"><?php echo $_terms["nutrients_button"];?><label id="open_td_nutrients_label" class="search_item"></label></a>
				<a href="#" id="open_sd_nutrients_options" style="display:none" class="search_item" rel="#sd_nutrients_options"><?php echo $_terms["nutrients_button"];?><label id="open_sd_nutrients_label" class="search_item"></label></a>
				<p class="main_search_field_separator"></p>
				<a href="#" id="open_time_options" class="search_item" rel="#td_time_options"><?php echo $_terms["time_button"];?><label id="open_time_label" class="search_item"></label></a>
				<p class="main_search_field_separator"></p>
				<a href="#" id="open_geo_options" class="search_item" rel="#td_geo_options"><?php echo $_terms["geo_button"];?><label id="open_geo_label" class="search_item"></label></a>
				<p class="main_search_field_separator"></p>
				<a href="#" id="open_bio_options" class="search_item" rel="#td_bio_options"><?php echo $_terms["bio_button"];?><label id="open_bio_label" class="search_item"></label></a>
				<p class="main_search_field_separator"></p>
				<a href="#" id="open_tech_options" class="search_item" rel="#td_tech_options"><?php echo $_terms["tech_button"];?><label id="open_tech_label" class="search_item"></label></a>
				<a href="#" id="search_button" title="<?php echo $_terms['search_tooltip'];?>" onclick="if (!areLoading()) {output_results(-1);}"><label>&nbsp;</label></a>
				<a href="#" id="clear_button" title="<?php echo $_terms['clear_tooltip'];?>" onclick="if (!areLoading()){ clear_results();initializeSearchOptions(-1);}"><label>&nbsp;</label></a>				
				<?php 
					if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
						if ($_SESSION['userlevel'] > 2){
							echo "<a href=\"#\" style=\"display:none;\" id=\"save_query_button\" title=\"".$_terms['save_query_tooltip']."\" rel=\"#save_query_form_admin\"><label>&nbsp;</label></a>";
						}else {
							echo "<a href=\"#\" style=\"display:none;\" id=\"save_query_button\" title=\"".$_terms['save_query_tooltip']."\" rel=\"#save_query_form_subscriber\"><label>&nbsp;</label></a>";
						}
					}
				?>
			</div>

			<div id="sponsors" class="output_frame" style="display:block;">
				<div class="title_block" style="border-width: 0px 0px 0px 0px;" id="saved_queries">
					<ul id="saved_queries_tabs" class="tabs_title">
						<li><a href="db_scripts/display_queries.php?global=true"><?php echo $_terms["title_top_queries"];?></a></li>
						<?php if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
							echo "<li><a href=\"db_scripts/display_queries.php\">".$_terms['my_queries']."</a></li>";
						}?>
					</ul>
					<div id="saved_queries_panes" class="panes">
						<div class="panes_title" style="display:block;min-height:300px;height:300px;"></div>
						<?php if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
							echo "<div class=\"panes_title\" style=\"min-height:300px;height:300px;\"></div>";
						}?>
					</div>
				</div>				
				<div class="title_block" style="border-width: 0px 0px 0px 0px;" id="sponsor_queries">
					<ul id="sponsor_queries_tabs" class="tabs_title">
						<li><a href="db_scripts/display_queries.php?global=sponsors">Sponsors</a></li>
					</ul>
					<div id="sponsor_queries_panes" class="panes">
						<div class="panes_title" style="display:block;min-height:130px;height:130px;"></div>
					</div>
				</div>
				<div class="title_block" style="border-width: 0px 0px 0px 0px;">
					<ul id="partners_team_tabs" class="tabs_title">
						<li><a href="#"><?php echo $_terms["title_partners"];?></a></li>
						<li><a href="#"><?php echo $_terms["title_sponsors"];?></a></li>						
						<li><a href="#"><?php echo $_terms["title_team"];?></a></li>						
					</ul>
					<div id="partners_team_panes" class="panes">
						<div class="panes_title" style="display:block;width:auto;margin-left:auto;margin-right:auto;">
							<a style="vertical-align:middle;width:230px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.agridea-lindau.ch" target="_blank"><img style="border:0px" width="90%" src="layout_resources/logos/agridea.jpg"></a>
							<a style="vertical-align:middle;width:230px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.unionfutter.ch" target="_blank"><img style="border:0px" width="90%" src="layout_resources/logos/union_futter.jpg"></a>
							<a style="vertical-align:middle;width:230px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.ufag-laboratorien.ch" target="_blank"><img style="border:0px" width="95%" src="layout_resources/logos/ufag_laboratorien.jpg"></a>
							<a style="vertical-align:middle;width:230px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.eurofins.ch" target="_blank"><img style="border:0px" width="90%" src="layout_resources/logos/eurofins.png"></a>
							<a style="vertical-align:middle;width:230px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.ufa.ch" target="_blank"><img style="border:0px" width="30%" src="layout_resources/logos/ufa_logo.gif"></a>
						</div>
						<div class="panes_title"  style="display:block;width:auto;margin-left:auto;margin-right:auto;">
							<a style="vertical-align:middle;width:200px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.uzh.ch" target="_blank"><img style="border:0px" width="90%" src="layout_resources/logos/uzh.jpg"></a>
							<?php echo "<a style=\"vertical-align:middle;width:400px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;\" href=\"http://www.agroscope.admin.ch\" target=\"_blank\"><img style=\"border:0px\" width=\"85%\" src=\"layout_resources/logos/agroscope_".$_SESSION['lng'].".jpg\"></a>";?>
							<a style="vertical-align:middle;width:200px;height:150px;text-align:center;display:table-cell;text-decoration:none;border:0px;" href="http://www.snf.ch" target="_blank"><img style="border:0px" width="90%" src="layout_resources/logos/snf.gif"></a>
						</div>
						<div class="panes_title" style="display:table;width:auto;margin-left:auto;margin-right:auto;">
							<div style="display:table-cell;width:230px;height:150px;padding:5px">
								<p class="title_block_staff_group"><?php echo $_terms["title_management"];?></p>
								<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/Boehlen.html" target="_blank">Prof. Dr. Michael H. Böhlen</a></p>
								<p class="title_block_affiliation">University of Zürich, Department of Informatics</p>
								<p class="title_block_staff_name"><a class="title_a" href="http://www.agroscope.admin.ch/org/mitarbeitersuche/mitarbeiterprofil/index.html?mid=39" target="_blank">Dipl. Ing. Monika Boltshauser</a></p>
								<p class="title_block_affiliation">Forschungsanstalt Agroscope Liebefeld-Posieux ALP</p>
							</div>						
							<div style="display:table-cell;width:230px;height:150px;padding:5px">
								<p class="title_block_staff_group"><?php echo $_terms["title_data_curation"];?></p>
								<p class="title_block_staff_name"><a class="title_a" href="http://www.agroscope.admin.ch/org/mitarbeitersuche/mitarbeiterprofil/index.html?mid=47" target="_blank">Dipl. Ing. Annelies Bracher</a></p>
								<p class="title_block_affiliation">Forschungsanstalt Agroscope Liebefeld-Posieux ALP</p>
							</div>
							<div style="display:table-cell;width:230px;height:150px;padding:5px">
								<p class="title_block_staff_group"><?php echo $_terms["title_development"];?></p>
								<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/cafagna.html" target="_blank">Francesco Cafagna, PhD Student</a></p>
								<p class="title_block_affiliation">University of Zürich, Department of Informatics</p>
								<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/taliun.html" target="_blank">Dr. Andrej Taliun</a></p>
								<p class="title_block_affiliation">University of Zürich, Department of Informatics</p>
							</div>
							<div style="display:table-cell;width:230px;max-height:150px;min-height:150px;height:150px;padding:5px">
								<p class="title_block_staff_group"><?php echo $_terms["title_students"];?></p>
								<marquee direction="up" onmouseover="this.stop()" scrollamount="2" onmouseout="this.start()" height="80px">
									<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/cafagna.html" target="_blank">Andrin Betschart</a></p>
									<p class="title_block_affiliation">Spatial density visualisation</p>
									<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/taliun.html" target="_blank">Kristin Kruse</a></p>
									<p class="title_block_affiliation">Visualisation of the map</p>
									<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/taliun.html" target="_blank">Martin Leimer</a></p>
									<p class="title_block_affiliation">Statistical comparison of regions</p>
									<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/taliun.html" target="_blank">Hannes Tresch</a></p>
									<p class="title_block_affiliation">Computation of derived nutritive values</p>
									<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/taliun.html" target="_blank">Yannick Widmer</a></p>
									<p class="title_block_affiliation">Temporal database design</p>
									<p class="title_block_staff_name"><a class="title_a" href="http://www.ifi.uzh.ch/dbtg/Staff/taliun.html" target="_blank">Samuele Zoppi</a></p>
									<p class="title_block_affiliation">Data import and database modeling</p>
								</marquee>
							</div>
						</div>							
					</div>
				</div>				
			</div>

			<div id="summary_data" class="output_frame" style="display:none;">
			</div>
	
			<div id="detailed_data" class="output_frame" style="display:none">
				<div id="dd_hbar" class="hbar"></div>
				<div id="dd_vbar" class="vbar"></div>
				<div id="dd_data" class="internal_output_frame"></div>
				<div id="dd_map" class="internal_output_frame"></div>
				<div id="dd_stat" class="internal_output_frame" style="overflow:auto;font-family:Helvetica,Arial,FreeSans,sans-serif;font-size: 1.1em;">
	                        	<div id="dd_stat_type" style="display:block;width:500px;height:22px;">
        	                    		<select id="dd_stat_type_select" class="dd_select" style="float:left" onchange="redrawCharts();">
        	                   			<option value="1"><?php echo $_terms["scatter_chart"]?></option>
        	                    			<!--<option value="2">line chart</option>-->
        	                    			<option value="3"><?php echo $_terms["statistics_of_nutrients"]?></option>
							<!--<option value="4">one-to-one  region comparison</option>-->
							<option value="5"><?php echo $_terms["many_reg_comp"]?></option>
        	                    		</select>
						<div id="dd_charts_nutrtients" style="float:right;display:block;">
							<select id="dd_charts_nutrient_a" class="dd_select_n" onchange="redrawCharts();"><option value="-1"></option><option value="-1">a</option></select>
							<select id="dd_charts_nutrient_b" class="dd_select_n" onchange="redrawCharts();"><option value="-1"></option></select>
							<select id="dd_charts_nutrient_c" class="dd_select_n" onchange="redrawCharts();"><option value="-1"></option></select>
						</div>
        	                	</div>
					<div id="dd_google_chart" style="display:block;width:500px;height:318px;">
        	                	</div>        	                	
        	                	<div id="dd_stats_nutrients"  style="display:none;width:500px;height:318px;">
        	                	</div>
					<div id="dd_region_comparison"  style="display:none;width:500px;height:318px;">
        	        		</div>
					<div id="dd_many_region_comparison" style="display:none;width:500px;height:318px;">
					</div>
		                </div>
				<div id="dd_mbar" class="mbar"></div>
			</div>

			<div style="height:12px;"></div>			

            		<div id="export_options" style="display:none;" topquery="-1">
				<?php 
				if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
					echo "<a href=\"#\" onclick=\"export_measurements();\" class=\"navigation_menu\">".$_terms["export_data"]."</a>";
				}else {
					echo "<label class=\"navigation_menu\">".$_terms["not_export_data"]."</label>";
				}
				?>
			</div>

			<div id="set_sample_size" style="display:none;color:#777777;" class="navigation_menu">				
				<?php echo $_terms["result_size_mes"]?>
				<a href="#" onclick="changeNumberOfRecordsInResult();" class="navigation_menu"><b><?php echo $_terms["result_size_update"]?></b></a>
				<input id="number_of_records_in_result" min="1" size="6" type="number"/>. 
				<?php echo $_terms["result_size_warning"]?>
			</div>
	
			<div id="footer">
		                <div style="display:inline;float:left">
                		    <label>© Universität Zürich, Agroscope, 2011-2013</label>
		                </div>
				<a href="#" style="text-decoration:none;color:#777777;font-size:1.2em" class="navigation_menu" rel="#disclaimer_message">Disclaimer</a>
		       </div>
		</div>

		<div id="user_feedback_form" class="options_window" style="display:none;">
			<div class="options_header"><?php echo $_terms["feedback_header"];?></div>
			<div class="panes_content" style="height:405px">
				<p style="margin:1px"><?php echo $_terms["feedback_name"];?></p>
				<input type="text" size="25" name="feedback_name" style="background:#fff;" class="login_input">
				<p style="margin:1px"><?php echo $_terms["feedback_email"];?></p>
				<input type="text" size="25" name="feedback_reply" style="background:#fff;" class="login_input">
				<p style="margin:1px"><?php echo $_terms["feedback_message"];?></p>
				<textarea id="feedback_message" rows="19" cols="65" style="min-height:250px !important;max-height:250px !important;min-width:550px !important;max-width:550px !important;background-color: #ffffff;border: 1px solid #666;font-size: 1.15em;"></textarea>
			</div>
			<a href="#" class="close" style="float:right;left:6px;top:-14px;" onclick="send_feedback();">ok</a>
			<a href="#" class="cancel" style="float:right" onclick="$('a[rel=\'#user_feedback_form\']').overlay().close();"><?php echo $_terms["cancel"];?></a>
		</div>

		<div id="save_query_form_admin" class="options_window" style="display:none;width:370px;height:250px;">
			<div class="panes_content" style="height:227px;min-height:227px;width:335px;">
				<label>Description in German:</label><br />
				<input type="text" size="38" maxlength="50" name="save_query_description_de" style="background:#fff;" class="login_input"><br />
				<label>Description in French:</label><br />
				<input type="text" size="38" maxlength="50" name="save_query_description_fr" style="background:#fff;" class="login_input"><br />
				<label>Description in English:</label><br />
				<input type="text" size="38" maxlength="50" name="save_query_description_en" style="background:#fff;" class="login_input"><br />
				<label>Available to:</label><br />
				<input type="radio" name="save_query_availability" value="0"><label>all users</label>
				<input type="radio" name="save_query_availability" value="2"><label>subscribed users</label>
				<input type="radio" name="save_query_availability" value="3" checked="yes"><label>admins</label>
			</div>
			<a href="#" class="close" style="float:right;left:6px;top:-14px;" onclick="save_query();">ok</a>
			<a href="#" class="cancel" style="float:right" onclick="$('a[rel=\'#save_query_form_admin\']').overlay().close();"><?php echo $_terms["cancel"];?></a>
		</div>

		<div id="save_query_form_subscriber" class="options_window" style="display:none;width:370px;height:250px;">
			<div class="panes_content" style="height:227px;min-height:227px;width:335px;">
				<p><?php echo $_terms["save_query_header"];?></p>
				<input type="text" size="38" maxlength="50" name="save_query_description_user" style="background:#fff;" class="login_input">
			</div>
			<a href="#" class="close" style="float:right;left:6px;top:-14px;" onclick="save_query();">ok</a>
			<a href="#" class="cancel" style="float:right" onclick="$('a[rel=\'#save_query_form_subscriber\']').overlay().close();"><?php echo $_terms["cancel"];?></a>
		</div>

		<div id="startup_message" class="options_window" style="display:none;width:370px;height:250px;">
			<div class="panes_content" style="height:227px;min-height:227px;">
			<p><b>Beta Version</b></p>
			<div>Dies is eine Beta-Version, die immer noch in Bearbeitung ist!</div>
			<div>Il s'agit d'une version beta qui est toujours en construction!</div>
			<div>This is a beta version which is still under construction!</div>
			<div id="google_chrome_frame"></div>
			</div>
			<a href="#" class="close" style="float:right;left:6px;top:-14px;" onclick="update_reize_windows();">ok</a>
		</div>

		<div id="disclaimer_message" class="options_window" style="display:none;width:370px;height:250px">
			<div class="panes_content" style="height:227px;min-height:227px;">
			<p><b>Disclaimer</b></p>
			<p><?php echo $_terms["disclaimer"];?></p>
			</div>
			<a href="#" class="close" style="float:right;left:6px;top:-14px;">ok</a>
		</div>

		<div id="td_feeds_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["feed"];?></label>				
			</div>
			<div>
				<ul id="td_feed_options_tab" class="tabs">
					<li><a href="#" id="td_tab_agridea_feeds"><?php echo $_terms["agridea"];?></a></li>
					<li><a href="#" id="td_tab_classified_feeds1"><?php echo $_terms["classified1"];?></a></li>
					<li><a href="#" id="td_tab_classified_feeds2"><?php echo $_terms["classified2"];?></a></li>
					<?php 
						if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2){
							echo "<li><a href=\"#\" id=\"td_tab_unclassified_feeds\">".$_terms["unclassified"]."</a></li>";
						}
					?>
				</ul>
				<div id="td_feed_options_panes" class="panes">	
					<div class="panes_main">
						<div class="panes_content">
							<div id="td_select_agridea_feeds"></div>
							<p><i><?php echo $_terms["agridea_explanation"];?></i></p>
						</div>
						<div class="panes_controls">
							<!--<a href="#" class="panes_button" onclick="checkAll('#td_select_agridea_feeds');"><?php echo $_terms["select_all"];?></a>-->
							<a href="#" class="panes_button" onclick="unCheckAll('#td_select_agridea_feeds');"><?php echo $_terms["unselect_all"];?></a>
						</div>
					</div>
					<?php 
						if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] >= 2){
							echo "<div class=\"panes_main\">";
								echo "<div id=\"td_select_classified_feeds1\" class=\"panes_content\"></div>";
								echo "<div class=\"panes_controls\">";
									//echo "<a href=\"#\" class=\"panes_button\" onclick=\"checkAll('#td_select_classified_feeds');\">".$_terms["select_all"]."</a>";
									echo "<a href=\"#\" class=\"panes_button\" onclick=\"unCheckAll('#td_select_classified_feeds1');\">".$_terms["unselect_all"]."</a>";
								echo "</div>";
							echo "</div>";
							echo "<div class=\"panes_main\">";
								echo "<div id=\"td_select_classified_feeds2\" class=\"panes_content\"></div>";
								echo "<div class=\"panes_controls\">";
									//echo "<a href=\"#\" class=\"panes_button\" onclick=\"checkAll('#td_select_classified_feeds');\">".$_terms["select_all"]."</a>";
									echo "<a href=\"#\" class=\"panes_button\" onclick=\"unCheckAll('#td_select_classified_feeds2');\">".$_terms["unselect_all"]."</a>";
								echo "</div>";
							echo "</div>";
						}else {
							echo "<div class=\"panes_main\">";
								echo "<div class=\"panes_content\"><label>".$_terms["restricted_content"]."</label></div>";
								echo "<div class=\"panes_controls\">";
								echo "</div>";
							echo "</div>";
							echo "<div class=\"panes_main\">";
								echo "<div class=\"panes_content\"><label>".$_terms["restricted_content"]."</label></div>";
								echo "<div class=\"panes_controls\">";
								echo "</div>";
							echo "</div>";
						}
					?>
					<?php 
						if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2){
							echo "<div class=\"panes_main\">";
								echo "<div id=\"td_select_unclassified_feeds\" class=\"panes_content\"></div>";
								echo "<div class=\"panes_controls\">";
									//echo "<a href=\"#\" class=\"panes_button\" onclick=\"checkAll('#td_select_unclassified_feeds');\">".$_terms["select_all"]."</a>";
									echo "<a href=\"#\" class=\"panes_button\" onclick=\"unCheckAll('#td_select_unclassified_feeds');\">".$_terms["unselect_all"]."</a>";
								echo "</div>";
							echo "</div>";
						}
					?>
				</div>
			</div>
			<a href="#" class="close" style="float:right" onclick="getTdFeedOptions();">ok</a>
		</div>

		<div id="sd_feeds_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["feed"];?></label>				
			</div>
			<div>
				<ul id="sd_feed_options_tab" class="tabs">
					<li><a href="#" id="sd_tab_select_classified_feeds1"><?php echo $_terms["classified1"];?></a></li>
					<li><a href="#" id="sd_tab_select_classified_feeds2"><?php echo $_terms["classified2"];?></a></li>
				</ul>
				<div id="sd_feed_options_panes" class="panes">	
					<div class="panes_main">
						<div id="sd_select_classified_feeds1" class="panes_content"></div>
						<div class="panes_controls">
							<a href="#" class="panes_button" onclick="unCheckAll('#sd_select_classified_feeds1');"><?php echo $_terms["unselect_all"];?></a>
							<input class="panes_search_input" size="20" type="text" target_div="#sd_select_classified_feeds1" title="<?php echo $_terms['tooltip_subsearch'];?>">
						</div>
					</div>
					<div class="panes_main">
						<div id="sd_select_classified_feeds2" class="panes_content"></div>
						<div class="panes_controls">
							<a href="#" class="panes_button" onclick="unCheckAll('#sd_select_classified_feeds2);"><?php echo $_terms["unselect_all"];?></a>
							<input class="panes_search_input" size="20" type="text" target_div="#sd_select_classified_feeds2" title="<?php echo $_terms['tooltip_subsearch'];?>">
						</div>
					</div>
				</div>
			</div>			
			<a href="#" class="close" style="float:right" onclick="getSdFeedOptions();">ok</a>
		</div>

		<div id="td_nutrients_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["nutrients_title"];?></label>				
			</div>
			<div>
				<?php 
					if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2){

						echo "<ul id=\"td_nutrients_options_tab\" class=\"tabs\">";
							echo "<li><a href=\"#\" id=\"td_tab_one_nutrients\">".$_terms["nutrients"]."</a></li>";
							echo "<li><a href=\"#\" id=\"td_tab_two_nutrients\">".$_terms["derived_nutrients"]."</a></li>";
						echo "</ul>";
						echo "<div id=\"td_nutrients_options_panes\" class=\"panes\">";
							echo "<div class=\"panes_main\">";
								echo "<div id=\"td_select_nutrients\" class=\"panes_content\"></div>";
								echo "<div class=\"panes_controls\">";
									//echo "<a href=\"#\" class=\"panes_button\" onclick=\"checkAll('#td_select_nutrients');\">".$_terms["select_all"]."</a>";
									echo "<a href=\"#\" class=\"panes_button\" onclick=\"unCheckAll('#td_select_nutrients');\">".$_terms["unselect_all"]."</a>";
								echo "</div>";
							echo "</div>";
							echo "<div class=\"panes_main\">";
								echo "<div id=\"td_select_nutrients_derived\" class=\"panes_content\"></div>";
								echo "<div class=\"panes_controls\">";
									//echo "<a href=\"#\" class=\"panes_button\" onclick=\"checkAll('#td_select_nutrients_derived');\">".$_terms["select_all"]."</a>";
									echo "<a href=\"#\" class=\"panes_button\" onclick=\"unCheckAll('#td_select_nutrients_derived');\">".$_terms["unselect_all"]."</a>";
								echo "</div>";
							echo "</div>";
						echo "</div>";
					}else {
						echo "<div class=\"panes\" style=\"border:1px solid #666;height:424px\">";
						echo "<div id=\"td_select_nutrients\" class=\"panes_content\" style=\"height:369px\"></div>";
						echo "<div class=\"panes_controls\">";
							//echo "<a href=\"#\" class=\"panes_button\" onclick=\"checkAll('#td_select_nutrients');\">".$_terms["select_all"]."</a>";
							echo "<a href=\"#\" class=\"panes_button\" onclick=\"unCheckAll('#td_select_nutrients');\">".$_terms["unselect_all"]."</a>";
						echo "</div>";
						echo "</div>";
					}
				?>
				<!---->
			</div>
			<a href="#" class="close" style="float:right" onclick="getTdNutrientsOptions();">ok</a>
		</div>

		<div id="sd_nutrients_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["nutrients_title"];?></label>				
			</div>
			<div class="panes" style="border:1px solid #666;height:424px">			
				<div id="sd_select_nutrients" class="panes_content" style="height:369px"></div>
				<div class="panes_controls">
					<!--<a href="#" class="panes_button" onclick="checkAll('#sd_select_nutrients');"><?php echo $_terms["select_all"];?></a>-->
					<a href="#" class="panes_button" onclick="unCheckAll('#sd_select_nutrients');"><?php echo $_terms["unselect_all"];?></a>
					<input class="panes_search_input" size="20" type="text" target_div="#sd_select_nutrients" title="<?php echo $_terms['tooltip_subsearch'];?>">
					<input class="panes_search_input" type="radio" name="sd_nutrients_fresh" checked="yes" value="false"><label><?php echo $_terms["g_kg_ts"];?></label>
					<input class="panes_search_input" type="radio" name="sd_nutrients_fresh" value="true"><label><?php echo $_terms["g_kg_fs"];?></label>
				</div>
			</div>
			<a href="#" class="close" style="float:right" onclick="getSdNutrientsOptions();">ok</a>
		</div>

		<div id="td_time_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["time_title"];?></label>				
			</div>
			<div>
				<ul id="td_time_options_tab" class="tabs">
					<!--<li><a href="#"><?php echo $_terms["harvesting_date"];?></a></li>
					<li><a href="#"><?php echo $_terms["sampling_date"];?></a></li>-->
				</ul>
				<div id="td_time_options_panes" class="panes">
					<div class="panes_main">
						<table  width="100%" border="0px" style="border-spacing:0">
							<tr>
								<td width="50%" align="center" style="padding:0px"><label><?php echo $_terms["year"];?></label></td>
								<td rowspan="3" style="padding:0px"><div class="panes_main" style="width:1px;background:#666;display:block;border:none"></div></td>
								<td width="50%" align="center" style="padding:0px"><label><?php echo $_terms["season"];?></label></td>
							</tr>
							<tr>
								<td width="50%" style="padding:0px"><div id="td_time_year" class="panes_content" style="height:324px;min-height:324px;"></div></td>
								<td width="50%" style="padding:0px"><div id="td_time_season" class="panes_content" style="height:324px;min-height:324px;"></div></td>
							</tr>
							<tr>
								<td width="50%" style="padding:0px"><div class="panes_controls">
									<!--<a href="#" class="panes_button" onclick="checkAll('#td_time_year');"><?php echo $_terms["select_all"];?></a>-->
									<a href="#" class="panes_button" onclick="unCheckAll('#td_time_year');"><?php echo $_terms["unselect_all"];?></a>
								</div></td>
								<td width="50%" style="padding:0px"><div class="panes_controls">
									<!--<a href="#" class="panes_button" onclick="checkAll('#td_time_season');"><?php echo $_terms["select_all"];?></a>-->
									<a href="#" class="panes_button" onclick="unCheckAll('#td_time_season');"><?php echo $_terms["unselect_all"];?></a>
								</div></td>
							</tr>
						</table>						
					</div>
					<!--<div class="panes_main">
						<table  width="100%" border="0px" style="border-spacing:0">
							<tr>
								<td width="50%" align="center" style="padding:0px"><label><?php echo $_terms["year"];?></label></td>
								<td rowspan="3" style="padding:0px"><div class="panes_main" style="width:1px;background:#666;display:block;border:none"></div></td>
								<td width="50%" align="center" style="padding:0px"><label><?php echo $_terms["season"];?></label></td>
							</tr>
							<tr>
								<td width="50%" style="padding:0px"><div id="td_time_sampling_year" class="panes_content" style="height:324px;min-height:324px;"></div></td>
								<td width="50%" style="padding:0px"><div id="td_time_sampling_season" class="panes_content" style="height:324px;min-height:324px;"></div></td>
							</tr>
							<tr>
								<td width="50%" style="padding:0px"><div class="panes_controls">
									<a href="#" class="panes_button" onclick="checkAll('#td_time_sampling_year');"><?php echo $_terms["select_all"];?></a>
									<a href="#" class="panes_button" onclick="unCheckAll('#td_time_sampling_year');"><?php echo $_terms["unselect_all"];?></a>
								</div></td>
								<td width="50%" style="padding:0px"><div class="panes_controls">
									<a href="#" class="panes_button" onclick="checkAll('#td_time_sampling_season');"><?php echo $_terms["select_all"];?></a>
									<a href="#" class="panes_button" onclick="unCheckAll('#td_time_sampling_season');"><?php echo $_terms["unselect_all"];?></a>
								</div></td>
							</tr>
						</table>
					</div>-->				
				</div>
			</div>
			<a href="#" class="close" style="float:right" onclick="getTdTimeOptions();">ok</a>
		</div>

		<div id="td_geo_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["geo_title"];?></label>				
			</div>
			<div>
				<ul id="td_geo_options_tab" class="tabs">
					<li><a href="#"><?php echo $_terms["canton"];?></a></li>
					<li><a href="#"><?php echo $_terms["altitude"];?></a></li>
					<li><a href="#"><?php echo $_terms["radius"];?></a></li>
				</ul>
				<div id="td_geo_options_panes" class="panes">
					<div class="panes_main">
						<div id="td_geo_canton" class="panes_content"></div>
						<div class="panes_controls">
							<!--<a href="#" class="panes_button" onclick="checkAll('#td_geo_canton');"><?php echo $_terms["select_all"];?></a>-->
							<a href="#" class="panes_button" onclick="unCheckAll('#td_geo_canton');"><?php echo $_terms["unselect_all"];?></a>
						</div>
					</div>
					<div class="panes_main">
						<div id="td_geo_altitude" class="panes_content"></div>
						<div class="panes_controls">
							<!--<a href="#" class="panes_button" onclick="checkAll('#td_geo_altitude');"><?php echo $_terms["select_all"];?></a>-->
							<a href="#" class="panes_button" onclick="unCheckAll('#td_geo_altitude');"><?php echo $_terms["unselect_all"];?></a>
						</div>
					</div>
					<div class="panes_main">
						<div id="td_select_radius" class="panes_content">
							<form onsubmit="return(false)" _lpchecked="1">
        							<span class="map_label"><?php echo $_terms['radius_city'] ?></span>
				        			<input type="text" id="radAddressInput" size="24">
        							<span class="map_label"><?php echo $_terms['radius_radius'] ?></span>
				        			<select id="radRadiusSelect">
            								<option value="5" selected="">5km</option>
           								<option value="10">10km</option>
            								<option value="25">25km</option>
        							</select>
        							<input type="button" onclick="searchRadLocations()" value="<?php echo $_terms['radius_search'] ?>">
        							<input type="button" onclick="clearRadMap()" value="<?php echo $_terms['radius_clear'] ?>">
   			 				</form>
							<div id="radius_error_message" style="display:none;"><?php echo $_terms['radius_address_not_found'] ?></div>
							<div id="radius_map" style="width:450px;height:310px"></div>
						</div>
					</div>
				</div>
			</div>
			<a href="#" class="close" style="float:right" onclick="getTdGeoOptions();">ok</a>
		</div>

		<div id="td_bio_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["bio_title"];?></label>				
			</div>
            		<div>
	                <ul id="td_bio_options_tab" class="vertical_tabs">
        	            <li><a href="#"><label><?php echo $_terms["bi_gtype"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_stype"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_comps"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_pspec"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_aspec"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_sspec"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_variet"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_mstage"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_cobpro"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_ustage"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_age"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_cycle"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_cereal"];?></label></a></li>
        	            <li><a href="#"><label><?php echo $_terms["bi_special"];?></label></a></li>
        	        </ul>
        	        <div id="td_bio_options_panes" class="vertical_panes">
        	            <div id="bi_gtype" class="vertical_panes_content"></div>
        	            <div id="bi_stype" class="vertical_panes_content"></div>
        	            <div id="bi_comps" class="vertical_panes_content"></div>
        	            <div id="bi_pspec" class="vertical_panes_content"></div>
        	            <div id="bi_aspec" class="vertical_panes_content"></div>
        	            <div id="bi_sspec" class="vertical_panes_content"></div>
        	            <div id="bi_variet" class="vertical_panes_content"></div>
        	            <div id="bi_mstage" class="vertical_panes_content"></div>
        	            <div id="bi_cobpro" class="vertical_panes_content"></div>
        	            <div id="bi_ustage" class="vertical_panes_content"></div>
        	            <div id="bi_age" class="vertical_panes_content"></div>
        	            <div id="bi_cycle" class="vertical_panes_content"></div>
        	            <div id="bi_cereal" class="vertical_panes_content"></div>
        	            <div id="bi_special" class="vertical_panes_content"></div>                    
        	        </div>
        	    </div>
  		    <a href="#" class="close" style="float:right" onclick="">ok</a>
		</div>

		<div id="td_tech_options" class="options_window" style="display:none;">
			<div class="options_header">
				<label><?php echo $_terms["tech_title"];?></label>				
			</div>
        	    	<div>
                	<ul id="td_tech_options_tab" class="vertical_tabs">
                	    <li><a href="#"><label><?php echo $_terms["th_cons"];?></label></a></li>
                	    <li><a href="#"><label><?php echo $_terms["th_prod"];?></label></a></li>
                	    <li><a href="#"><label><?php echo $_terms["th_mang"];?></label></a></li>
                	    <li><a href="#"><label><?php echo $_terms["th_past"];?></label></a></li>
                	    <li><a href="#"><label><?php echo $_terms["th_proc"];?></label></a></li>
                	    <li><a href="#"><label><?php echo $_terms["th_stor"];?></label></a></li>
                	    <li><a href="#"><label><?php echo $_terms["th_spec"];?></label></a></li>
                	</ul>
                	<div id="td_tech_options_panes" class="vertical_panes">
                	    <div id="th_cons" class="vertical_panes_content"></div>
                	    <div id="th_prod" class="vertical_panes_content"></div>
                	    <div id="th_mang" class="vertical_panes_content"></div>
                	    <div id="th_past" class="vertical_panes_content"></div>
                	    <div id="th_proc" class="vertical_panes_content"></div>
                	    <div id="th_stor" class="vertical_panes_content"></div>
                	    <div id="th_spec" class="vertical_panes_content"></div>
                	</div>
	            </div>
		    <a href="#" class="close" style="float:right" onclick="">ok</a>
		</div>

		<div id="login_window" style="display:none;">
			<form style="border:1px solid #666;padding:5px" method="post" action="index.php">
				<p style="margin:1px"><?php echo $_terms["login_name"];?>:</p>
				<input type="text" size="25" name="user_name" class="login_input">
				<p style="margin:1px"><?php echo $_terms["login_password"];?>:</p>
				<input type="password" size="25" name="user_pass" class="login_input">
				<p style="margin:1px">
					<button type="submit" class="login_button"><?php echo $_terms["login_ok_button"];?></button>
					<button type="button" class="close login_button"><?php echo $_terms["login_cancel_button"];?></button>
				</p>
				<span id="login_error_message" style="display:block;min-height:40px;height:40px;margin:1px;color:#f00">
				</span>
			</form>
		</div>		

		<script>			
			<?php 
			//for temoral debug with derived on summary data
			if (isset($_SESSION['user'])&&isset($_SESSION['userlevel'])&&$_SESSION['userlevel'] > 2){
				
				echo "get_sd_script = \"get_sd_data_D.php\";";
			}
			?>

			// text messages used by the javascript
			var mes_show_density_option       = <?php echo "\"".$_terms["show_density_option"]."\""?>;
			var mes_show_regression_option    = <?php echo "\"".$_terms["show_regression_option"]."\""?>;
			var mes_show_flags_option         = <?php echo "\"".$_terms["show_flags_option"]."\""?>;
			var mes_show_visualisation_option = <?php echo "\"".$_terms["show_visualisation_option"]."\""?>; 
			var message_feedback_recieved     = <?php echo "\"".$_terms["feedback_recieved"]."\""?>;
    			var message_query_saved           = <?php echo "\"".$_terms["query_saved"]."\""?>;
			var message_nutrients             = <?php echo "\"".$_terms["nutrients"]."\""?>;
			var message_count                 = <?php echo "\"".$_terms["count"]."\""?>;
			var message_comp_location         = <?php echo "\"".$_terms["comp_location"]."\""?>;
			var message_comp_nutrient         = <?php echo "\"".$_terms["comp_nutrient"]."\""?>;
			var message_comp_radius           = <?php echo "\"".$_terms["comp_radius"]."\""?>;
			var message_comp_similarity       = <?php echo "\"".$_terms["comp_similarity"]."\""?>;
			var message_comp_select           = <?php echo "\"".$_terms["comp_select"]."\""?>;
			var message_comp_abort_select     = <?php echo "\"".$_terms["comp_abort_select"]."\""?>;
			var message_comp_guid_select      = <?php echo "\"".$_terms["comp_guid_select"]."\""?>;
			var message_comp_similar          = <?php echo "\"".$_terms["comp_similar"]."\""?>;
			var message_comp_dissimilar       = <?php echo "\"".$_terms["comp_dissimilar"]."\""?>;
			var message_comp_compute          = <?php echo "\"".$_terms["comp_compute"]."\""?>;
			var message_comp_error            = <?php echo "\"".$_terms["comp_error"]."\""?>;

			$("#main_search_field a[title]").tooltip();
			$("#sd_feeds_options[title]").tooltip();
			$("#dummy_tooltip").tooltip({tip: '#tooltip', position: 'center right',delay: 0})			

			$(document).ready(function(){
				$.tools.tabs.addEffect("geo_fade", function(tabIndex, done) {
					this.getPanes().hide().eq(tabIndex).show();
					done.call();
					if (tabIndex == 2){
						loadRadiusMap();
						restoreRadMap();
					}
				});

				$("a[rel]").click(function(event){
					if (areLoading() || ($(this).attr("class") === "disabled_search_item")) event.stopImmediatePropagation();
				}).overlay({					
					mask:{color: "#000", loadSpeed: "fast", closeSpeed:"fast", opacity: 0.6},closeOnClick: false, top:"20%",speed:"fast", onLoad:function() {
						if (this.getTrigger().attr("id") === "open_geo_options"){
							if ($("#td_geo_options_tab").data("tabs").getIndex() == 2){
								restoreRadMap();
							}
						}
					}
				});

				$("#td_feed_options_tab").tabs("#td_feed_options_panes > div", {effect:'fade'});
				$("#sd_feed_options_tab").tabs("#sd_feed_options_panes > div", {effect:'fade'});
				$("#td_nutrients_options_tab").tabs("#td_nutrients_options_panes > div", {effect:'fade'});
				$("#td_time_options_tab").tabs("#td_time_options_panes > div", {effect:'fade'});
				$("#td_geo_options_tab").tabs("#td_geo_options_panes > div", {effect:'geo_fade'});
                		$("#td_bio_options_tab").tabs("#td_bio_options_panes > div", {effect:'fade'});
                		$("#td_tech_options_tab").tabs("#td_tech_options_panes > div", {effect:'fade'});
				$("#partners_team_tabs").tabs("#partners_team_panes > div", {effect:'fade'});				
				$("#saved_queries_tabs").tabs("#saved_queries_panes > div", {effect:'fade',
					onBeforeClick: function(event, i) {
						this.getPanes().eq(i).load(this.getTabs().eq(i).attr("href"));
					}	    			
				});
				$("#sponsor_queries_tabs").tabs("#sponsor_queries_panes > div", {effect:'fade',
					onBeforeClick: function(event, i) {
						this.getPanes().eq(i).load(this.getTabs().eq(i).attr("href"));
					}	    			
				});

				// searching other the checkboxes in the gtree
				$("input.panes_search_input[target_div]").keyup(function (){
					if ($(this).val() != ""){
						$($(this).attr("target_div")).jstree("close_all");
						$($(this).attr("target_div")).jstree("search", $(this).val());
					}else {
						$($(this).attr("target_div")).jstree("close_all");
						$($(this).attr("target_div")).jstree("clear_search");						
						$($(this).attr("target_div")).jstree("reopen");
					}
				});

				// login
				$("#login_window form").submit(function(e){
					var user_name = $("input[name=\"user_name\"]", this).val();
					var user_pass = Crypto.MD5($("input[name=\"user_pass\"]", this).val());
					
					var httpObject = getHttpObject();
					if (httpObject != null){						
						httpObject.open("POST", "db_scripts/user_login.php", false);
						httpObject.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
						httpObject.send("un=" + user_name + "&ps=" + user_pass);
						if (httpObject.readyState == 4){
							if (httpObject.responseText.length == 2 && httpObject.responseText.charAt(0) == 'o' && httpObject.responseText.charAt(1) == 'k'){
								$("input[name=\"user_name\"]", this).val("");
								$("input[name=\"user_pass\"]", this).val("");
								$("a[rel=\"#login_window\"]").overlay().close();
								return;
							}else {
								$("input[name=\"user_pass\"]", this).val("");
								$("#login_error_message", this).html(<?php echo "\"".$_terms["login_error"]."\"";?>);
								return e.preventDefault();
							}
						}
					}

					$("a[rel=\"#login_window\"]").overlay().close();
					return e.preventDefault();
				});

                		// layout
		                updateLabels();
                		update_reize_windows();

				// hide info message
				hideInfoMessage();

				// showing starup message
				$("#startup_message").overlay({
					mask:{color: "#000", loadSpeed: "fast", closeSpeed:"fast", opacity: 0.6},closeOnClick: false, top:"20%",speed:"fast",load:true});

				// checking if chrome frame is installed
				if ( $.browser.msie ) {
					if( parseInt($.browser.version, 10) < 9){
						$("#google_chrome_frame").html("<b>We are using the state-of-the-art HTML futures, therefore, we recommend to enpower your browser with <i>Google Chrome Frame</i></b>");
						CFInstall.check({
							mode: "overlay"
						});
					}
				}

				updateDataType(-1);
				initializeSearchOptions(-1);				
			});
		
		</script> 

	</body>
</html>
